You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: Bruce S. <bl...@us...> - 2006-03-22 13:14:26
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv20515/scripts/scripts Modified Files: Tag: rel-1-2-patches dhcpd.conf Log Message: Made default values consistent with setup defaults. Index: dhcpd.conf =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/dhcpd.conf,v retrieving revision 1.1.8.1 retrieving revision 1.1.8.2 diff -u -d -r1.1.8.1 -r1.1.8.2 --- dhcpd.conf 2 May 2005 14:03:21 -0000 1.1.8.1 +++ dhcpd.conf 22 Mar 2006 13:14:22 -0000 1.1.8.2 @@ -12,20 +12,20 @@ # let's give the local domain a name # (which should correlate to your name server configuration) -option domain-name "beer"; +option domain-name "mydomain.org"; # this assumes that your dhcp server is also the router for the subnet -option routers 192.168.0.1; +option routers 192.168.1.1; # clients shall use this host as nameserver, too -option domain-name-servers 192.168.0.1; +option domain-name-servers 192.168.1.1; # this can explicitely be specified -option broadcast-address 192.168.0.255; +option broadcast-address 192.168.1.255; # these 10 addresses will be given out dynamically -subnet 192.168.0.0 netmask 255.255.255.0 { - range 192.168.0.11 192.168.0.20; +subnet 192.168.1.0 netmask 255.255.255.0 { + range 192.168.1.100 192.168.1.199; # options may also be put here if they are not global } @@ -33,7 +33,6 @@ # we want a fixed address for it host murauer { hardware ethernet 00:30:65:6F:A5:D4; - fixed-address 192.168.0.5; + fixed-address 192.168.1.5; } - |
|
From: Heiko Z. <smi...@us...> - 2006-03-22 02:33:18
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv15679 Modified Files: Tag: rel-1-2-patches CHANGES md5sum.lst Log Message: - updated dnsmasq to 2.27 - updated glib to 2.10.1 - updated lftp to 3.4.3 - updated postfix to 2.2.9 - updated psmisc to 22.2 - updated razor-agents to 2.81 - updated rsync to 2.6.7 - updated squid to 2.5.STABLE13 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.208 retrieving revision 1.807.2.209 diff -u -d -r1.807.2.208 -r1.807.2.209 --- CHANGES 15 Mar 2006 16:43:58 -0000 1.807.2.208 +++ CHANGES 22 Mar 2006 02:33:10 -0000 1.807.2.209 @@ -22,6 +22,14 @@ # 1.2.10 +- updated dnsmasq to 2.27 +- updated glib to 2.10.1 +- updated lftp to 3.4.3 +- updated postfix to 2.2.9 +- updated psmisc to 22.2 +- updated razor-agents to 2.81 +- updated rsync to 2.6.7 +- updated squid to 2.5.STABLE13 - updated Mail-SpamAssassin to 3.1.1 - updated hdparm to 6.6 - updated libusb to 0.1.12 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.102.2.134 retrieving revision 1.102.2.135 diff -u -d -r1.102.2.134 -r1.102.2.135 --- md5sum.lst 15 Mar 2006 16:44:00 -0000 1.102.2.134 +++ md5sum.lst 22 Mar 2006 02:33:10 -0000 1.102.2.135 @@ -159,7 +159,7 @@ 6976c265fe1e28e3648b390d16934e8b src/djbdns-1.05-ignoreip.patch.bz2 cbdb9f51e0df375f3099a022ef880bdd src/djbdns-1.05.errno.patch.bz2 3147c5cd56832aa3b41955c7a51cbeb2 src/djbdns-1.05.tar.gz -ae04abb5db4a8cc43c24f432f0c44d5c src/dnsmasq-2.26.tar.gz +489198ec87101087043adc98bbe062dc src/dnsmasq-2.27.tar.gz af4d03e85985ab222f2811744b9e06bc src/dosfstools-2.10-llseek.patch.bz2 59a02f311a891af8787c4c9e28c6b89b src/dosfstools_2.10.orig.tar.gz 5418f9f7fe99e4f10bb82d9fe504138a src/dovecot-1.0.beta3.tar.gz @@ -197,7 +197,7 @@ 1d1b1d5c0245b1c00aff92da751e9aa1 src/gdbm-1.8.3.tar.gz eb3db4185f21185a89ae6f7cba49c404 src/gdchart0.11.4dev.tar.gz 6fe30dad87c77b91b632def29dd69ef9 src/glib-1.2.10.tar.gz -fce6835fd8c99ab4c3e5213bc5bcd0ed src/glib-2.8.6.tar.bz2 +51df7932da118f7f27bbda82b65f0f91 src/glib-2.10.1.tar.bz2 ede969aad568f48083e413384f20753c src/glibc-2.3.2.tar.bz2 894b8969cfbdf787c73e139782167607 src/glibc-linuxthreads-2.3.2.tar.bz2 60bd8402892f120f77727c0ef8f6ffda src/glibc-patches.tar.bz2 @@ -262,7 +262,7 @@ dd3de0d46fb2323265eb495b582891e8 src/l7-protocols-2006-02-12.tar.gz b7fb1c24b940482cd730cf212d1b5062 src/lcd4linux-0.10.0.tar.gz 103fe4aef6297b93f0f73f38cc3b1bd7 src/less-382.tar.gz -0d4b7741e5abcef1925eb923044af3af src/lftp-3.3.5.tar.gz +87c58c1b94f5d5095c24dbf235ad0aef src/lftp-3.4.3.tar.bz2 5aa3b0d29b27b7a3e1d80962c94f54cb src/lha_1.14i-5.diff.gz 10410742b0169f3357ef9a3f0f032037 src/lha_1.14i.orig.tar.gz ea34faf74e0efc6a0983252406c325c2 src/libart-lgpl_2.3.17-1.diff.gz @@ -377,7 +377,7 @@ 73f823d66f0e8525b77cb45d94fb90c8 src/portmap_5-2.diff.gz 781e16ed4487c4caa082c6fef09ead4f src/portmap_5.orig.tar.gz 4bcce061d059d69f0d77c59dbe4427b4 src/portslave-1.9.11.tar.gz -971bf94de3e8433c8965c27b42d56b9a src/postfix-2.2.8.tar.gz +be78631bd9b6bf7735e43abfa54d69f6 src/postfix-2.2.9.tar.gz 12d54a11bc3a414477d37ef338bec161 src/postgresql-8.1.2.tar.bz2 848f6c3cafeb6074ffeb293c3af79b7c src/ppp-2.4.3.tar.gz 162619419f060527d2d94a0e64e21d99 src/ppp-patches.tar.bz2 @@ -390,15 +390,15 @@ 1678ea99b973eb77eda4ecf6acae53f1 src/procmail-3.22.tar.gz 7ce39ea27d7b3da0e8ad74dd41d06783 src/procps-3.2.6.tar.gz b62b5856753294821c4cea8bd28ffe1d src/protector-3.3-7.tar.gz -3d0a0d5cbc13e7e8e973d931977a4282 src/psmisc-22.1.tar.gz +77737c817a40ef2c160a7194b5b64337 src/psmisc-22.2.tar.gz a8ba894bd27a4e1ac8af11bb4cb0d825 src/pwlib-Phobos_rc1-src.tar.gz 7c77de7a5cdd432205a1f25431ae617d src/python-ldap-2.0.4.tar.gz 42e25b2a6016ff6d5ffa4f9707ac4614 src/qadsl-final-1.2.tar.gz -d11dfb2d0eb9fa93e1aca882541e45d8 src/quagga-0.99.3.tar.gz +ec09c1ec624aea98e18aa19282666784 src/quagga-0.98.5.tar.gz 8a91c4bc342dca2ddf9f620af24fc5e7 src/quota-3.13.tar.gz 26ea468b2323e44cf827ae5f84d18dc8 src/radvd-0.7.2.tar.gz c0d208ebd4c311ceabe465b7adfef792 src/raidtools-20010914.tar.gz -76e64cc00e6adc0e55bca61bffa1ecc6 src/razor-agents-2.77.tar.bz2 +1a21d84f3a8291f73e7f1d3dd36d9d7f src/razor-agents-2.81.tar.bz2 9b3bc8f10e522456a90f98c87afa45e3 src/rcs-5.7-no_root_check.diff.bz2 cd709ab8a284c87048f95f76f5f69374 src/rcs-5.7.tar.bz2 7ee5a692db88b30ca48927a13fd60e46 src/readline-5.1.tar.gz @@ -407,7 +407,7 @@ b0c3093d2f0d850760e59ac1db9bf152 src/rpm-4.0.4.tar.gz 7b544c38a818cbebcf06fe39b9f52d0d src/rrdtool-1.2.12.tar.gz 013d0387c93bf4db7d06f72e243c6d24 src/rrlogind-sv-1.3.3.tar.gz -30c4e2849cbeae93f55548453865c2f2 src/rsync-2.6.6.tar.gz +fb51636c719e789244d5d4423cf157ac src/rsync-2.6.7.tar.gz 792606adbad950a693d514320a3b70f0 src/sagator-0.7.2.tar.bz2 9deeda292399d2bbad120f98a290f5da src/samba-3.0.21c.tar.gz c336057e5409bb5cc77909ef3fbca9cd src/sarg-1.4.1-index.sort.patch.bz2 @@ -422,7 +422,7 @@ 2f1ef054cf1c6dbfe0e15d982f90fe11 src/shorewall-3.0.3.tar.bz2 fc2cb32e926b25afa24f450f9a48fbb1 src/smartmontools-5.26.tar.gz 9dc9060d1f2e248663eceffadfc45e7e src/snort-2.4.4.tar.gz -7354255015b3772a1e024dfac173e48c src/squid-2.5.STABLE12.tar.bz2 +3e64468e123be1246d17486dab6bee87 src/squid-2.5.STABLE13.tar.bz2 28c9a2dd535b0316bbaae8e37ef4e5fa src/squidguard-1.2.0.tar.gz 617b83cda02eee31562c467ac7289580 src/squidguard-blacklist.tar.bz2 3f64c431a2585e04b9a2e1e958a8b68c src/squidguard_1.2.0-5.diff.gz |
|
From: Heiko Z. <smi...@us...> - 2006-03-22 02:32:54
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv15609 Modified Files: CHANGES md5sum.lst Log Message: - updated dnsmasq to 2.27 - updated glib to 2.10.1 - updated lftp to 3.4.3 - updated postfix to 2.2.9 - updated psmisc to 22.2 - updated razor-agents to 2.81 - updated rsync to 2.6.7 - updated squid to 2.5.STABLE13 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1020 retrieving revision 1.1021 diff -u -d -r1.1020 -r1.1021 --- CHANGES 15 Mar 2006 16:44:46 -0000 1.1020 +++ CHANGES 22 Mar 2006 02:32:49 -0000 1.1021 @@ -22,6 +22,14 @@ # 1.3.2 +- updated dnsmasq to 2.27 +- updated glib to 2.10.1 +- updated lftp to 3.4.3 +- updated postfix to 2.2.9 +- updated psmisc to 22.2 +- updated razor-agents to 2.81 +- updated rsync to 2.6.7 +- updated squid to 2.5.STABLE13 - updated Mail-SpamAssassin to 3.1.1 - updated hdparm to 6.6 - updated libusb to 0.1.12 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.271 retrieving revision 1.272 diff -u -d -r1.271 -r1.272 --- md5sum.lst 15 Mar 2006 16:44:49 -0000 1.271 +++ md5sum.lst 22 Mar 2006 02:32:49 -0000 1.272 @@ -163,7 +163,7 @@ 6976c265fe1e28e3648b390d16934e8b src/djbdns-1.05-ignoreip.patch.bz2 cbdb9f51e0df375f3099a022ef880bdd src/djbdns-1.05.errno.patch.bz2 3147c5cd56832aa3b41955c7a51cbeb2 src/djbdns-1.05.tar.gz -ae04abb5db4a8cc43c24f432f0c44d5c src/dnsmasq-2.26.tar.gz +489198ec87101087043adc98bbe062dc src/dnsmasq-2.27.tar.gz 3db1f5dc6bb72c2504ae37c37947e03f src/dosfstools-2.10-kernel-2.6-1.patch.bz2 af4d03e85985ab222f2811744b9e06bc src/dosfstools-2.10-llseek.patch.bz2 59a02f311a891af8787c4c9e28c6b89b src/dosfstools_2.10.orig.tar.gz @@ -200,7 +200,7 @@ eb3db4185f21185a89ae6f7cba49c404 src/gdchart0.11.4dev.tar.gz 994a954a9d837bf4780a992441d4b8db src/glib-1.2.10-gcc34-1.patch.bz2 6fe30dad87c77b91b632def29dd69ef9 src/glib-1.2.10.tar.gz -fce6835fd8c99ab4c3e5213bc5bcd0ed src/glib-2.8.6.tar.bz2 +51df7932da118f7f27bbda82b65f0f91 src/glib-2.10.1.tar.bz2 93d9c51850e0513aa4846ac0ddcef639 src/glibc-2.3.5.tar.bz2 86ae1273e22af8766297ec21c0232743 src/glibc-libidn-2.3.5.tar.bz2 bf4237fb3247563212576d3ae3ed80c2 src/glibc-patches.tar.bz2 @@ -273,7 +273,7 @@ dd3de0d46fb2323265eb495b582891e8 src/l7-protocols-2006-02-12.tar.gz b7fb1c24b940482cd730cf212d1b5062 src/lcd4linux-0.10.0.tar.gz 103fe4aef6297b93f0f73f38cc3b1bd7 src/less-382.tar.gz -0d4b7741e5abcef1925eb923044af3af src/lftp-3.3.5.tar.gz +87c58c1b94f5d5095c24dbf235ad0aef src/lftp-3.4.3.tar.bz2 5aa3b0d29b27b7a3e1d80962c94f54cb src/lha_1.14i-5.diff.gz 10410742b0169f3357ef9a3f0f032037 src/lha_1.14i.orig.tar.gz ea34faf74e0efc6a0983252406c325c2 src/libart-lgpl_2.3.17-1.diff.gz @@ -383,7 +383,7 @@ 73f823d66f0e8525b77cb45d94fb90c8 src/portmap_5-2.diff.gz 781e16ed4487c4caa082c6fef09ead4f src/portmap_5.orig.tar.gz 4bcce061d059d69f0d77c59dbe4427b4 src/portslave-1.9.11.tar.gz -971bf94de3e8433c8965c27b42d56b9a src/postfix-2.2.8.tar.gz +be78631bd9b6bf7735e43abfa54d69f6 src/postfix-2.2.9.tar.gz 12d54a11bc3a414477d37ef338bec161 src/postgresql-8.1.2.tar.bz2 848f6c3cafeb6074ffeb293c3af79b7c src/ppp-2.4.3.tar.gz 162619419f060527d2d94a0e64e21d99 src/ppp-patches.tar.bz2 @@ -396,7 +396,7 @@ 1678ea99b973eb77eda4ecf6acae53f1 src/procmail-3.22.tar.gz 7ce39ea27d7b3da0e8ad74dd41d06783 src/procps-3.2.6.tar.gz 87cc8f1e7fd7fa6f98793d4b75c0dee7 src/protector-3.4.4-1.tar.bz2 -7b21b6bb1e35e7e68b952e86f85c0a1c src/psmisc-21.9.tar.gz +77737c817a40ef2c160a7194b5b64337 src/psmisc-22.2.tar.gz a8ba894bd27a4e1ac8af11bb4cb0d825 src/pwlib-Phobos_rc1-src.tar.gz 7c77de7a5cdd432205a1f25431ae617d src/python-ldap-2.0.4.tar.gz 42e25b2a6016ff6d5ffa4f9707ac4614 src/qadsl-final-1.2.tar.gz @@ -404,7 +404,7 @@ 8a91c4bc342dca2ddf9f620af24fc5e7 src/quota-3.13.tar.gz 26ea468b2323e44cf827ae5f84d18dc8 src/radvd-0.7.2.tar.gz c0d208ebd4c311ceabe465b7adfef792 src/raidtools-20010914.tar.gz -76e64cc00e6adc0e55bca61bffa1ecc6 src/razor-agents-2.77.tar.bz2 +1a21d84f3a8291f73e7f1d3dd36d9d7f src/razor-agents-2.81.tar.bz2 9b3bc8f10e522456a90f98c87afa45e3 src/rcs-5.7-no_root_check.diff.bz2 cd709ab8a284c87048f95f76f5f69374 src/rcs-5.7.tar.bz2 7ee5a692db88b30ca48927a13fd60e46 src/readline-5.1.tar.gz @@ -412,7 +412,7 @@ 32c34455ccdfd9610304479e1beac3ff src/rp-pppoe-3.7.tar.gz b0c3093d2f0d850760e59ac1db9bf152 src/rpm-4.0.4.tar.gz 7b544c38a818cbebcf06fe39b9f52d0d src/rrdtool-1.2.12.tar.gz -30c4e2849cbeae93f55548453865c2f2 src/rsync-2.6.6.tar.gz +fb51636c719e789244d5d4423cf157ac src/rsync-2.6.7.tar.gz 792606adbad950a693d514320a3b70f0 src/sagator-0.7.2.tar.bz2 9deeda292399d2bbad120f98a290f5da src/samba-3.0.21c.tar.gz c336057e5409bb5cc77909ef3fbca9cd src/sarg-1.4.1-index.sort.patch.bz2 @@ -427,7 +427,7 @@ 2f1ef054cf1c6dbfe0e15d982f90fe11 src/shorewall-3.0.3.tar.bz2 fc2cb32e926b25afa24f450f9a48fbb1 src/smartmontools-5.26.tar.gz 9dc9060d1f2e248663eceffadfc45e7e src/snort-2.4.4.tar.gz -7354255015b3772a1e024dfac173e48c src/squid-2.5.STABLE12.tar.bz2 +3e64468e123be1246d17486dab6bee87 src/squid-2.5.STABLE13.tar.bz2 28c9a2dd535b0316bbaae8e37ef4e5fa src/squidguard-1.2.0.tar.gz 617b83cda02eee31562c467ac7289580 src/squidguard-blacklist.tar.bz2 3f64c431a2585e04b9a2e1e958a8b68c src/squidguard_1.2.0-5.diff.gz |
|
From: Heiko Z. <smi...@us...> - 2006-03-15 16:45:00
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv17528 Modified Files: CHANGES md5sum.lst Log Message: - updated Mail-SpamAssassin to 3.1.1 - updated hdparm to 6.6 - updated libusb to 0.1.12 - updated openh323 to Atlas_rc1 - updated pwlib to Phobos_rc1 - updated samba to 3.0.21c - updated snort to 2.4.4 - updated stunnel to 4.15 - updated tiff to 3.8.1 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1019 retrieving revision 1.1020 diff -u -d -r1.1019 -r1.1020 --- CHANGES 13 Mar 2006 14:51:36 -0000 1.1019 +++ CHANGES 15 Mar 2006 16:44:46 -0000 1.1020 @@ -22,6 +22,15 @@ # 1.3.2 +- updated Mail-SpamAssassin to 3.1.1 +- updated hdparm to 6.6 +- updated libusb to 0.1.12 +- updated openh323 to Atlas_rc1 +- updated pwlib to Phobos_rc1 +- updated samba to 3.0.21c +- updated snort to 2.4.4 +- updated stunnel to 4.15 +- updated tiff to 3.8.1 - added missing pam config file for sshd - disabled openssh usage of /var/log/btmp - updated gnupg to 1.4.2.2 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.270 retrieving revision 1.271 diff -u -d -r1.270 -r1.271 --- md5sum.lst 13 Mar 2006 17:31:55 -0000 1.270 +++ md5sum.lst 15 Mar 2006 16:44:49 -0000 1.271 @@ -88,7 +88,7 @@ aabed0543f57dc3e4eebbb0779daf898 src/Linux-PAM-0.99.3.0.tar.bz2 90901044f52f5213a2abc612b9745c1b src/MOSIX-1.9.0.tgz 6b154c442a335c2a281defe17c8008e8 src/MOSKRN-1.9.0.tgz -d28bd7e83d01b234144e336bbfde0caa src/Mail-SpamAssassin-3.1.0.tar.bz2 +33bc2bef2619135125ccf3b5a663be1d src/Mail-SpamAssassin-3.1.1.tar.bz2 a2c089faa2726c142419c03472fc4063 src/Python-2.3.4.tar.bz2 85d2e73c5a3175b96d1d956c52835fe4 src/acl-2.2.32.src.tar.gz 9c2156ce75e39675300e0c3a358018a5 src/alsa-driver-1.0.2.tar.bz2 @@ -216,7 +216,7 @@ f8fe4cc78f0c20becde5b363c70bb9a4 src/grsecurity-2.1.8-2.6.14.6-200601121820.patch.gz cd3f3eb54446be6003156158d51f4884 src/grub-0.97.tar.gz 3d6c191dfd2bf307014b421c12dc8469 src/gzip-1.3.5.tar.gz -0c12672f3a09c14ad0b0882f15fc9389 src/hdparm-6.3.tar.gz +ecea69f775396e4ab6112dcf9066239f src/hdparm-6.6.tar.gz ef926928325e7f4c1aaa51b93dffdcf4 src/heartbeat-2.0.3.tar.gz 0a8097a8772d5d2de8c5539d3182b82a src/heimdal-0.7.tar.gz 6eac8910802c5535bc5248eae259b228 src/hostap-driver-0.3.9.tar.gz @@ -297,7 +297,7 @@ 6b7b6e6df84d4afb469ccc66d04fc24d src/libsafe-2.0-16.tgz 3c37ef02a3aa248e30f4bf1613e3f597 src/libstdc++-compat.tar.bz2 8e0ac9797b62ba4dcc8a2fb7936412b0 src/libtool-1.5.22.tar.gz -c6062b29acd2cef414bcc34e0decbdd1 src/libusb-0.1.10a.tar.gz +caf182cbc7565dac0fd72155919672e6 src/libusb-0.1.12.tar.gz 0f37385e3ad73cc94db43d6873f4fc3b src/libxml2-2.6.23.tar.gz 238de9eda71b570ff7b78aaf65308fc6 src/libxslt-1.1.15.tar.gz 9613e6753abc86e26ff9d5425f24c17a src/linux-2.6.10-protector-1.patch.bz2 @@ -354,7 +354,7 @@ 3aab99ea016e936323b34d2af1380fd5 src/ntp-stable-4.2.0a-20050816.tar.gz 5cc5a621832a70e012462d2069149583 src/ntpconfig-phone.patch.bz2 cf1c017496b066b45ffe3d7a303fd6ad src/oidentd-2.0.7.tar.gz -2cf48eb8b8bb3d54843cbf0951f31cbf src/openh323-Mimas_patch2-src.tar.gz +24bf6df1fad1782ee59c88e62f3c4e00 src/openh323-Atlas_rc1-src.tar.gz 7b2c9bceb4a2cd57022136eb3cecb5bd src/openldap-2.3.14.tgz 7e9880ac20a9b9db0d3fea30a9ff3d46 src/openssh-4.3p2.tar.gz 8dc90a113eb8925795071fbe52b2932c src/openssl-0.9.7h.tar.gz @@ -397,7 +397,7 @@ 7ce39ea27d7b3da0e8ad74dd41d06783 src/procps-3.2.6.tar.gz 87cc8f1e7fd7fa6f98793d4b75c0dee7 src/protector-3.4.4-1.tar.bz2 7b21b6bb1e35e7e68b952e86f85c0a1c src/psmisc-21.9.tar.gz -75a02fbf38c549a614697a9d1f080c89 src/pwlib-Mimas_patch2-src.tar.gz +a8ba894bd27a4e1ac8af11bb4cb0d825 src/pwlib-Phobos_rc1-src.tar.gz 7c77de7a5cdd432205a1f25431ae617d src/python-ldap-2.0.4.tar.gz 42e25b2a6016ff6d5ffa4f9707ac4614 src/qadsl-final-1.2.tar.gz ec09c1ec624aea98e18aa19282666784 src/quagga-0.98.5.tar.gz @@ -414,7 +414,7 @@ 7b544c38a818cbebcf06fe39b9f52d0d src/rrdtool-1.2.12.tar.gz 30c4e2849cbeae93f55548453865c2f2 src/rsync-2.6.6.tar.gz 792606adbad950a693d514320a3b70f0 src/sagator-0.7.2.tar.bz2 -bb73dffb33f4a39386ef9f3e07ae28ff src/samba-3.0.21b.tar.gz +9deeda292399d2bbad120f98a290f5da src/samba-3.0.21c.tar.gz c336057e5409bb5cc77909ef3fbca9cd src/sarg-1.4.1-index.sort.patch.bz2 357f8e175746e19dac4a61f4a2ef0aaf src/sarg-1.4.1.tar.gz ed68ea9b43d9fba0972cb017a24940a1 src/screen-4.0.2.tar.gz @@ -426,13 +426,13 @@ 016f49d71bc32eee2b5d11fc1600cfbe src/shfs-0.35.tar.gz 2f1ef054cf1c6dbfe0e15d982f90fe11 src/shorewall-3.0.3.tar.bz2 fc2cb32e926b25afa24f450f9a48fbb1 src/smartmontools-5.26.tar.gz -5c3c8c69f2459bbe0c1f2057966c88a7 src/snort-2.4.3.tar.gz +9dc9060d1f2e248663eceffadfc45e7e src/snort-2.4.4.tar.gz 7354255015b3772a1e024dfac173e48c src/squid-2.5.STABLE12.tar.bz2 28c9a2dd535b0316bbaae8e37ef4e5fa src/squidguard-1.2.0.tar.gz 617b83cda02eee31562c467ac7289580 src/squidguard-blacklist.tar.bz2 3f64c431a2585e04b9a2e1e958a8b68c src/squidguard_1.2.0-5.diff.gz 09bcd5d00ece28f8154dec11cadfce3c src/strace-4.5.14.tar.bz2 -0969cc4868dfd75f22792ecccc9ec555 src/stunnel-4.14.tar.gz +2c00153ad099a5f9c5609e8d1dbbe470 src/stunnel-4.15.tar.gz 6d0346abd16914956bc7ea4f17fc85fb src/sudo-1.6.8p9.tar.gz 513ff71287a4397d507879a1a836c2e8 src/syslinux-3.11.tar.bz2 ffbad7e8e6dcbe385820b8ffba23b622 src/syslog-ng-1.6.8.tar.gz @@ -449,7 +449,7 @@ bf0cecc0c72a0e919cd02915d02d02bb src/telnet-bsd-1.0.tar.bz2 a6a21c51d74787f02ac4b2280d1fedb5 src/tftp-hpa-0.42.tar.bz2 a0e9cd87455d3a0ea11e5ea7e947adf6 src/thttpd-2.25b.tar.gz -8a4511793f4b20b91ddee0e53bc08dea src/tiff-3.7.3.tar.gz +edd4a2036f6f315d26170178f0f8641e src/tiff-3.8.1.tar.gz 964d599ef696efccdeebe7721cd4828d src/traceroute-1.4a12.tar.gz cfcec1b92f44dd1bdcb6cc3590c2465f src/traceroute_bindfix.patch.bz2 b042ade24576937621b013795c226cf7 src/uClibc-0.9.19.tar.bz2 |
|
From: Heiko Z. <smi...@us...> - 2006-03-15 16:44:11
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv17043 Modified Files: Tag: rel-1-2-patches CHANGES md5sum.lst Log Message: - updated Mail-SpamAssassin to 3.1.1 - updated hdparm to 6.6 - updated libusb to 0.1.12 - updated openh323 to Atlas_rc1 - updated pwlib to Phobos_rc1 - updated samba to 3.0.21c - updated snort to 2.4.4 - updated stunnel to 4.15 - updated tiff to 3.8.1 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.207 retrieving revision 1.807.2.208 diff -u -d -r1.807.2.207 -r1.807.2.208 --- CHANGES 13 Mar 2006 14:51:53 -0000 1.807.2.207 +++ CHANGES 15 Mar 2006 16:43:58 -0000 1.807.2.208 @@ -22,6 +22,15 @@ # 1.2.10 +- updated Mail-SpamAssassin to 3.1.1 +- updated hdparm to 6.6 +- updated libusb to 0.1.12 +- updated openh323 to Atlas_rc1 +- updated pwlib to Phobos_rc1 +- updated samba to 3.0.21c +- updated snort to 2.4.4 +- updated stunnel to 4.15 +- updated tiff to 3.8.1 - added missing pam config file for sshd - disabled openssh usage of /var/log/btmp - updated gnupg to 1.4.2.2 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.102.2.133 retrieving revision 1.102.2.134 diff -u -d -r1.102.2.133 -r1.102.2.134 --- md5sum.lst 13 Mar 2006 17:30:42 -0000 1.102.2.133 +++ md5sum.lst 15 Mar 2006 16:44:00 -0000 1.102.2.134 @@ -90,7 +90,7 @@ aabed0543f57dc3e4eebbb0779daf898 src/Linux-PAM-0.99.3.0.tar.bz2 90901044f52f5213a2abc612b9745c1b src/MOSIX-1.9.0.tgz 6b154c442a335c2a281defe17c8008e8 src/MOSKRN-1.9.0.tgz -d28bd7e83d01b234144e336bbfde0caa src/Mail-SpamAssassin-3.1.0.tar.bz2 +33bc2bef2619135125ccf3b5a663be1d src/Mail-SpamAssassin-3.1.1.tar.bz2 a2c089faa2726c142419c03472fc4063 src/Python-2.3.4.tar.bz2 85d2e73c5a3175b96d1d956c52835fe4 src/acl-2.2.32.src.tar.gz 9c2156ce75e39675300e0c3a358018a5 src/alsa-driver-1.0.2.tar.bz2 @@ -215,7 +215,7 @@ 6ea0ee97ca7206b3ac45d55eab0d6e42 src/grsecurity-kernel-vhz2.patch.bz2 cd3f3eb54446be6003156158d51f4884 src/grub-0.97.tar.gz 3d6c191dfd2bf307014b421c12dc8469 src/gzip-1.3.5.tar.gz -0c12672f3a09c14ad0b0882f15fc9389 src/hdparm-6.3.tar.gz +ecea69f775396e4ab6112dcf9066239f src/hdparm-6.6.tar.gz ef926928325e7f4c1aaa51b93dffdcf4 src/heartbeat-2.0.3.tar.gz 6eac8910802c5535bc5248eae259b228 src/hostap-driver-0.3.9.tar.gz 529a31e987924116b8c7409dbf5794f2 src/hostap-utils-0.3.7.tar.gz @@ -282,7 +282,7 @@ 6b7b6e6df84d4afb469ccc66d04fc24d src/libsafe-2.0-16.tgz 3c37ef02a3aa248e30f4bf1613e3f597 src/libstdc++-compat.tar.bz2 8e0ac9797b62ba4dcc8a2fb7936412b0 src/libtool-1.5.22.tar.gz -c6062b29acd2cef414bcc34e0decbdd1 src/libusb-0.1.10a.tar.gz +caf182cbc7565dac0fd72155919672e6 src/libusb-0.1.12.tar.gz 0f37385e3ad73cc94db43d6873f4fc3b src/libxml2-2.6.23.tar.gz 238de9eda71b570ff7b78aaf65308fc6 src/libxslt-1.1.15.tar.gz d5b561190cbe0968d50e09e0031edb79 src/lilo-22.5.9.tar.gz @@ -346,7 +346,7 @@ cd29a876b34a7dd76555e9acd8f160bb src/ntop-3.2.tgz 3aab99ea016e936323b34d2af1380fd5 src/ntp-stable-4.2.0a-20050816.tar.gz cf1c017496b066b45ffe3d7a303fd6ad src/oidentd-2.0.7.tar.gz -2cf48eb8b8bb3d54843cbf0951f31cbf src/openh323-Mimas_patch2-src.tar.gz +24bf6df1fad1782ee59c88e62f3c4e00 src/openh323-Atlas_rc1-src.tar.gz 7b2c9bceb4a2cd57022136eb3cecb5bd src/openldap-2.3.14.tgz 7e9880ac20a9b9db0d3fea30a9ff3d46 src/openssh-4.3p2.tar.gz 8dc90a113eb8925795071fbe52b2932c src/openssl-0.9.7h.tar.gz @@ -391,10 +391,10 @@ 7ce39ea27d7b3da0e8ad74dd41d06783 src/procps-3.2.6.tar.gz b62b5856753294821c4cea8bd28ffe1d src/protector-3.3-7.tar.gz 3d0a0d5cbc13e7e8e973d931977a4282 src/psmisc-22.1.tar.gz -75a02fbf38c549a614697a9d1f080c89 src/pwlib-Mimas_patch2-src.tar.gz +a8ba894bd27a4e1ac8af11bb4cb0d825 src/pwlib-Phobos_rc1-src.tar.gz 7c77de7a5cdd432205a1f25431ae617d src/python-ldap-2.0.4.tar.gz 42e25b2a6016ff6d5ffa4f9707ac4614 src/qadsl-final-1.2.tar.gz -ec09c1ec624aea98e18aa19282666784 src/quagga-0.98.5.tar.gz +d11dfb2d0eb9fa93e1aca882541e45d8 src/quagga-0.99.3.tar.gz 8a91c4bc342dca2ddf9f620af24fc5e7 src/quota-3.13.tar.gz 26ea468b2323e44cf827ae5f84d18dc8 src/radvd-0.7.2.tar.gz c0d208ebd4c311ceabe465b7adfef792 src/raidtools-20010914.tar.gz @@ -409,7 +409,7 @@ 013d0387c93bf4db7d06f72e243c6d24 src/rrlogind-sv-1.3.3.tar.gz 30c4e2849cbeae93f55548453865c2f2 src/rsync-2.6.6.tar.gz 792606adbad950a693d514320a3b70f0 src/sagator-0.7.2.tar.bz2 -bb73dffb33f4a39386ef9f3e07ae28ff src/samba-3.0.21b.tar.gz +9deeda292399d2bbad120f98a290f5da src/samba-3.0.21c.tar.gz c336057e5409bb5cc77909ef3fbca9cd src/sarg-1.4.1-index.sort.patch.bz2 357f8e175746e19dac4a61f4a2ef0aaf src/sarg-1.4.1.tar.gz ed68ea9b43d9fba0972cb017a24940a1 src/screen-4.0.2.tar.gz @@ -421,13 +421,13 @@ 016f49d71bc32eee2b5d11fc1600cfbe src/shfs-0.35.tar.gz 2f1ef054cf1c6dbfe0e15d982f90fe11 src/shorewall-3.0.3.tar.bz2 fc2cb32e926b25afa24f450f9a48fbb1 src/smartmontools-5.26.tar.gz -5c3c8c69f2459bbe0c1f2057966c88a7 src/snort-2.4.3.tar.gz +9dc9060d1f2e248663eceffadfc45e7e src/snort-2.4.4.tar.gz 7354255015b3772a1e024dfac173e48c src/squid-2.5.STABLE12.tar.bz2 28c9a2dd535b0316bbaae8e37ef4e5fa src/squidguard-1.2.0.tar.gz 617b83cda02eee31562c467ac7289580 src/squidguard-blacklist.tar.bz2 3f64c431a2585e04b9a2e1e958a8b68c src/squidguard_1.2.0-5.diff.gz 09bcd5d00ece28f8154dec11cadfce3c src/strace-4.5.14.tar.bz2 -0969cc4868dfd75f22792ecccc9ec555 src/stunnel-4.14.tar.gz +2c00153ad099a5f9c5609e8d1dbbe470 src/stunnel-4.15.tar.gz 6d0346abd16914956bc7ea4f17fc85fb src/sudo-1.6.8p9.tar.gz f587720988bc1670071f31d3694ca0fb src/sysklogd-1.4.1.tar.bz2 513ff71287a4397d507879a1a836c2e8 src/syslinux-3.11.tar.bz2 @@ -444,7 +444,7 @@ bf0cecc0c72a0e919cd02915d02d02bb src/telnet-bsd-1.0.tar.bz2 a6a21c51d74787f02ac4b2280d1fedb5 src/tftp-hpa-0.42.tar.bz2 a0e9cd87455d3a0ea11e5ea7e947adf6 src/thttpd-2.25b.tar.gz -8a4511793f4b20b91ddee0e53bc08dea src/tiff-3.7.3.tar.gz +edd4a2036f6f315d26170178f0f8641e src/tiff-3.8.1.tar.gz 964d599ef696efccdeebe7721cd4828d src/traceroute-1.4a12.tar.gz cfcec1b92f44dd1bdcb6cc3590c2465f src/traceroute_bindfix.patch.bz2 b042ade24576937621b013795c226cf7 src/uClibc-0.9.19.tar.bz2 |
|
From: Heiko Z. <smi...@us...> - 2006-03-13 17:31:58
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv7126 Modified Files: md5sum.lst Log Message: added missing md5 sums Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.269 retrieving revision 1.270 diff -u -d -r1.269 -r1.270 --- md5sum.lst 10 Mar 2006 17:23:42 -0000 1.269 +++ md5sum.lst 13 Mar 2006 17:31:55 -0000 1.270 @@ -51,6 +51,35 @@ 9d9b482aa666b0988c66a04f93de4ca8 src/perl-ext/libnet-1.18.tar.gz 8e3361f5682e0deea59f349b17c5ec1c src/perl-ext/libwww-perl-5.800.tar.gz b3107452e2bb4d74d4b9892d61d50137 src/perl-ext/perl-ldap-0.31.tar.gz +facd1ec828b0cfbd4cd2eee6e0e2b307 src/pom-addon/CLASSIFY.tar.bz2 +712c5d46e03473b52de8a831b731374c src/pom-addon/CLUSTERIP.tar.bz2 +fb7487face8e7030df7cb2edd7d11e64 src/pom-addon/CONNMARK.tar.bz2 +33de98dfae64e8ee1f78c83d0851bc9d src/pom-addon/HOPLIMIT.tar.bz2 +b8df3ac50c2b6fd2235bf5f59a22cd88 src/pom-addon/REJECT.tar.bz2 +f9856280e1b28a9246309666dd323849 src/pom-addon/SAME.tar.bz2 +2be04914b8f80a80a74f70d52e918612 src/pom-addon/TTL.tar.bz2 +ac84bf64f2f6dd1315f46ae5f17d9f93 src/pom-addon/ULOG.tar.bz2 +4e9bee45d55ba91f23b8656a914f6329 src/pom-addon/addrtype.tar.bz2 +ad28e61eae63035eccd0777ed7e52d23 src/pom-addon/connbytes.tar.bz2 +a3dd3a8fc2c12bff096351a954899b43 src/pom-addon/conntrack-acct.tar.bz2 +61125874be2c15bf5ad2f343f2617f74 src/pom-addon/conntrack-event-api.tar.bz2 +25ebe97a8ea4173fe0109972eaac5f1f src/pom-addon/ctnetlink.tar.bz2 +8097e61ae977df35103451b6ab6d60a7 src/pom-addon/ctstat.tar.bz2 +f3c8f76d653b0d554d629aabbb3c3070 src/pom-addon/cuseeme-nat.tar.bz2 +b018c8d8b0e68d24ed3d50d8afa29b85 src/pom-addon/dstlimit.tar.bz2 +0acf86784f42f49ae1e5be439417e43d src/pom-addon/hashlimit.tar.bz2 +449591a269500e3e0c16f82d94ef29b4 src/pom-addon/nf-log.tar.bz2 +7a435f42892272410b387236f2dc7270 src/pom-addon/nf_conntrack.tar.bz2 +a097cccfbec6bb8451e17bea3e5f4c30 src/pom-addon/nfnetlink-ctnetlink-0.13.tar.bz2 +c874ccbe7d63fa946940ca58568f5fad src/pom-addon/nfnetlink.tar.bz2 +564761af7e1f00ac8a4659c43fb0a009 src/pom-addon/nfnetlink_queue.tar.bz2 +48c9818695bd6f1e6c974f0dd7d57d31 src/pom-addon/owner-supgids.tar.bz2 +70b863f615bbb14cd941c34ac599f468 src/pom-addon/ownercmd.tar.bz2 +b1942903a4162e9a3bea5ae1617e2a61 src/pom-addon/raw.tar.bz2 +3f37383d240033dcba610d4c26456fd7 src/pom-addon/realm.tar.bz2 +8df492ed86db57b0a91a09b9d5dc56fc src/pom-addon/sctp.tar.bz2 +e0b145efcfc5070484702ef7e1772152 src/pom-addon/string.tar.bz2 +875c8194f9d9f2c916c1a8dba2c4cfa0 src/pom-addon/tcp-window-tracking.tar.bz2 42dc0473dfe07df853308d2f0b1df598 src/IMQ-iptables-1.3.0.diff.bz2 f1c635d3811ad2a0ac30c440dd8bce29 src/ImageMagick-6.2.6-1.tar.bz2 1b3a0abd291b260eab6087ac0e61ed84 src/LPRng-3.8.28.tgz |
|
From: Heiko Z. <smi...@us...> - 2006-03-13 17:30:55
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv6468 Modified Files: Tag: rel-1-2-patches md5sum.lst Log Message: added missing md5sums Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.102.2.132 retrieving revision 1.102.2.133 diff -u -d -r1.102.2.132 -r1.102.2.133 --- md5sum.lst 10 Mar 2006 17:23:22 -0000 1.102.2.132 +++ md5sum.lst 13 Mar 2006 17:30:42 -0000 1.102.2.133 @@ -51,6 +51,36 @@ 9d9b482aa666b0988c66a04f93de4ca8 src/perl-ext/libnet-1.18.tar.gz 8e3361f5682e0deea59f349b17c5ec1c src/perl-ext/libwww-perl-5.800.tar.gz b3107452e2bb4d74d4b9892d61d50137 src/perl-ext/perl-ldap-0.31.tar.gz +facd1ec828b0cfbd4cd2eee6e0e2b307 src/pom-addon/CLASSIFY.tar.bz2 +712c5d46e03473b52de8a831b731374c src/pom-addon/CLUSTERIP.tar.bz2 +fb7487face8e7030df7cb2edd7d11e64 src/pom-addon/CONNMARK.tar.bz2 +21cdbed07ad930a020a625ed229956bd src/pom-addon/CONNMARK_L7.tar.bz2 +33de98dfae64e8ee1f78c83d0851bc9d src/pom-addon/HOPLIMIT.tar.bz2 +b8df3ac50c2b6fd2235bf5f59a22cd88 src/pom-addon/REJECT.tar.bz2 +f9856280e1b28a9246309666dd323849 src/pom-addon/SAME.tar.bz2 +2be04914b8f80a80a74f70d52e918612 src/pom-addon/TTL.tar.bz2 +ac84bf64f2f6dd1315f46ae5f17d9f93 src/pom-addon/ULOG.tar.bz2 +4e9bee45d55ba91f23b8656a914f6329 src/pom-addon/addrtype.tar.bz2 +ad28e61eae63035eccd0777ed7e52d23 src/pom-addon/connbytes.tar.bz2 +a3dd3a8fc2c12bff096351a954899b43 src/pom-addon/conntrack-acct.tar.bz2 +61125874be2c15bf5ad2f343f2617f74 src/pom-addon/conntrack-event-api.tar.bz2 +25ebe97a8ea4173fe0109972eaac5f1f src/pom-addon/ctnetlink.tar.bz2 +8097e61ae977df35103451b6ab6d60a7 src/pom-addon/ctstat.tar.bz2 +f3c8f76d653b0d554d629aabbb3c3070 src/pom-addon/cuseeme-nat.tar.bz2 +b018c8d8b0e68d24ed3d50d8afa29b85 src/pom-addon/dstlimit.tar.bz2 +0acf86784f42f49ae1e5be439417e43d src/pom-addon/hashlimit.tar.bz2 +449591a269500e3e0c16f82d94ef29b4 src/pom-addon/nf-log.tar.bz2 +7a435f42892272410b387236f2dc7270 src/pom-addon/nf_conntrack.tar.bz2 +a097cccfbec6bb8451e17bea3e5f4c30 src/pom-addon/nfnetlink-ctnetlink-0.13.tar.bz2 +c874ccbe7d63fa946940ca58568f5fad src/pom-addon/nfnetlink.tar.bz2 +564761af7e1f00ac8a4659c43fb0a009 src/pom-addon/nfnetlink_queue.tar.bz2 +48c9818695bd6f1e6c974f0dd7d57d31 src/pom-addon/owner-supgids.tar.bz2 +70b863f615bbb14cd941c34ac599f468 src/pom-addon/ownercmd.tar.bz2 +b1942903a4162e9a3bea5ae1617e2a61 src/pom-addon/raw.tar.bz2 +3f37383d240033dcba610d4c26456fd7 src/pom-addon/realm.tar.bz2 +8df492ed86db57b0a91a09b9d5dc56fc src/pom-addon/sctp.tar.bz2 +e0b145efcfc5070484702ef7e1772152 src/pom-addon/string.tar.bz2 +875c8194f9d9f2c916c1a8dba2c4cfa0 src/pom-addon/tcp-window-tracking.tar.bz2 d8c2662914b21c20c8cbf94692de9ebc src/2.4.21-include.tar.bz2 42dc0473dfe07df853308d2f0b1df598 src/IMQ-iptables-1.3.0.diff.bz2 f1c635d3811ad2a0ac30c440dd8bce29 src/ImageMagick-6.2.6-1.tar.bz2 |
|
From: Serge L. <sma...@us...> - 2006-03-13 14:58:50
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv31832 Modified Files: Tag: rel-1-2-patches patch-o-matic Log Message: - added patch for using L7 and CONNMARK together Index: patch-o-matic =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/patch-o-matic,v retrieving revision 1.22.2.4 retrieving revision 1.22.2.5 diff -u -d -r1.22.2.4 -r1.22.2.5 --- patch-o-matic 20 Dec 2005 01:46:32 -0000 1.22.2.4 +++ patch-o-matic 13 Mar 2006 14:58:41 -0000 1.22.2.5 @@ -52,7 +52,12 @@ do tar -vxjf $FILE -C patchlets || exit 1 done - + + #Patch for using L7 and CONNMARK together + if [ "$CONFIG_NF_LAYER7" = "y" ]; then + tar -vxjf $DL_DIR/src/pom-addon/CONNMARK_L7.tar.bz2 -C patchlets || exit 1 + fi + # update the patch-o-matic.exclude file to make sure we have everything listed in there for PDIR in $(ls -d -1 *); do if [ -d "$PDIR" ]; then |
|
From: Heiko Z. <smi...@us...> - 2006-03-13 14:51:56
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv28519 Modified Files: Tag: rel-1-2-patches CHANGES Log Message: - added missing pam config file for sshd - disabled openssh usage of /var/log/btmp Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.206 retrieving revision 1.807.2.207 diff -u -d -r1.807.2.206 -r1.807.2.207 --- CHANGES 10 Mar 2006 17:23:21 -0000 1.807.2.206 +++ CHANGES 13 Mar 2006 14:51:53 -0000 1.807.2.207 @@ -22,6 +22,8 @@ # 1.2.10 +- added missing pam config file for sshd +- disabled openssh usage of /var/log/btmp - updated gnupg to 1.4.2.2 - corrected ldirector startup - updated heartbeat init script |
|
From: Heiko Z. <smi...@us...> - 2006-03-13 14:51:56
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv28519/scripts Modified Files: Tag: rel-1-2-patches openssh Log Message: - added missing pam config file for sshd - disabled openssh usage of /var/log/btmp Index: openssh =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/openssh,v retrieving revision 1.28.2.1 retrieving revision 1.28.2.2 diff -u -d -r1.28.2.1 -r1.28.2.2 --- openssh 26 Dec 2005 11:01:06 -0000 1.28.2.1 +++ openssh 13 Mar 2006 14:51:53 -0000 1.28.2.2 @@ -28,7 +28,9 @@ case $1 in build ) if [ "$CONFIG_OPENSSH" = "y" ]; then - ./configure --prefix=/usr --sysconfdir=/etc/ssh --localstatedir=/var --with-md5-passwords --with-pam || exit 1 + ./configure --prefix=/usr --sysconfdir=/etc/ssh --localstatedir=/var --with-md5-passwords --with-pam || exit 1 + # disable those annoying excess permissions warnings.... + echo " #undef USE_BTMP" >> config.h make $PMAKE all || exit 1 strip_debug fi @@ -36,8 +38,8 @@ install ) if [ "$CONFIG_OPENSSH" = "y" ]; then - rm -rf $WORKDIR/tmp || exit 1 - mkdir -p $WORKDIR/tmp/etc/init.d || exit 1 + rm -rf $TMPDIR || exit 1 + mkdir -p $TMPDIR/etc/init.d || exit 1 groupadd -g 110 sshd || exit 1 useradd -g 110 -u 110 -c "sshd privsep" -d /var/empty -s /bin/false sshd || exit 1 @@ -45,13 +47,14 @@ # workaround make install || exit 1 - make install DESTDIR=$WORKDIR/tmp || exit 1 - copy_docs $WORKDIR/tmp - rm -rf $WORKDIR/tmp/usr/share || exit 1 - copy_files $WORKDIR/tmp/usr $CDDIR/ || exit 1 - copy_files $WORKDIR/tmp/etc $ETCDIR/ || exit 1 + make install DESTDIR=$TMPDIR || exit 1 + copy_docs $TMPDIR + rm -rf $TMPDIR/usr/share || exit 1 + copy_files $TMPDIR/usr $CDDIR/ || exit 1 + copy_files $TMPDIR/etc $ETCDIR/ || exit 1 cp $MYDIR/scripts/sshd $ETCDIR/etc/init.d || exit 1 - rm -rf $WORKDIR/tmp || exit 1 + cp $MYDIR/scripts/sshd.pam $ETCDIR/etc/pam.d/ssh || exit 1 + rm -rf $TMPDIR || exit 1 echo "# Start the OpenSSH daemon?" >> $CONFIGFILE echo "START_SSHD=no" >> $CONFIGFILE |
|
From: Heiko Z. <smi...@us...> - 2006-03-13 14:51:55
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv28519/scripts/scripts Added Files: Tag: rel-1-2-patches sshd.pam Log Message: - added missing pam config file for sshd - disabled openssh usage of /var/log/btmp --- NEW FILE: sshd.pam --- #%PAM-1.0 auth required pam_unix.so shadow nodelay auth required pam_nologin.so account required pam_unix.so password required pam_cracklib.so password required pam_unix.so shadow nullok use_authtok session required pam_unix.so session required pam_limits.so |
|
From: Heiko Z. <smi...@us...> - 2006-03-13 14:51:41
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv28452 Modified Files: CHANGES Log Message: - added missing pam config file for sshd - disabled openssh usage of /var/log/btmp Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1018 retrieving revision 1.1019 diff -u -d -r1.1018 -r1.1019 --- CHANGES 10 Mar 2006 17:23:42 -0000 1.1018 +++ CHANGES 13 Mar 2006 14:51:36 -0000 1.1019 @@ -22,6 +22,8 @@ # 1.3.2 +- added missing pam config file for sshd +- disabled openssh usage of /var/log/btmp - updated gnupg to 1.4.2.2 - corrected ldirector startup - updated heartbeat init script |
|
From: Heiko Z. <smi...@us...> - 2006-03-13 14:51:41
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv28452/scripts Modified Files: openssh Log Message: - added missing pam config file for sshd - disabled openssh usage of /var/log/btmp Index: openssh =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/openssh,v retrieving revision 1.30 retrieving revision 1.31 diff -u -d -r1.30 -r1.31 --- openssh 27 Dec 2005 11:04:33 -0000 1.30 +++ openssh 13 Mar 2006 14:51:36 -0000 1.31 @@ -28,7 +28,9 @@ case $1 in build ) if [ "$CONFIG_OPENSSH" = "y" ]; then - ./configure --prefix=/usr --sysconfdir=/etc/ssh --localstatedir=/var --with-md5-passwords --with-pam || exit 1 + ./configure --prefix=/usr --sysconfdir=/etc/ssh --localstatedir=/var --with-md5-passwords --with-pam || exit 1 + # disable those annoying excess permissions warnings.... + echo " #undef USE_BTMP" >> config.h make $PMAKE all || exit 1 strip_debug fi @@ -51,6 +53,7 @@ copy_files $TMPDIR/usr $CDDIR/ || exit 1 copy_files $TMPDIR/etc $ETCDIR/ || exit 1 cp $MYDIR/scripts/sshd $ETCDIR/etc/init.d || exit 1 + cp $MYDIR/scripts/sshd.pam $ETCDIR/etc/pam.d/ssh || exit 1 rm -rf $TMPDIR || exit 1 echo "# Start the OpenSSH daemon?" >> $CONFIGFILE |
|
From: Heiko Z. <smi...@us...> - 2006-03-13 14:51:41
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv28452/scripts/scripts Added Files: sshd.pam Log Message: - added missing pam config file for sshd - disabled openssh usage of /var/log/btmp --- NEW FILE: sshd.pam --- #%PAM-1.0 auth required pam_unix.so shadow nodelay auth required pam_nologin.so account required pam_unix.so password required pam_cracklib.so password required pam_unix.so shadow nullok use_authtok session required pam_unix.so session required pam_limits.so |
|
From: Heiko Z. <smi...@us...> - 2006-03-10 17:23:45
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv13363 Modified Files: CHANGES md5sum.lst Log Message: updated gnupg to 1.4.2.2 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1017 retrieving revision 1.1018 diff -u -d -r1.1017 -r1.1018 --- CHANGES 10 Mar 2006 01:46:03 -0000 1.1017 +++ CHANGES 10 Mar 2006 17:23:42 -0000 1.1018 @@ -22,6 +22,7 @@ # 1.3.2 +- updated gnupg to 1.4.2.2 - corrected ldirector startup - updated heartbeat init script - added ipvsadm 1.24 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.268 retrieving revision 1.269 diff -u -d -r1.268 -r1.269 --- md5sum.lst 6 Mar 2006 04:19:58 -0000 1.268 +++ md5sum.lst 10 Mar 2006 17:23:42 -0000 1.269 @@ -178,7 +178,7 @@ 589e30524fe8ce93b5c9dd05ab44234c src/glibc-ssp.tar.bz2 65598b329290cdc1fcb73b6b18891baf src/gmp-4.1.3.tar.bz2 63ecb94c16f34efebd08d16234d8d4a1 src/gnugk-2.2.3-2.tar.gz -2d59ed50d92f69994dbfbe00fe1612e4 src/gnupg-1.4.2.1.tar.bz2 +c34736eb7cb687f9e5b6d4df48aaf7c8 src/gnupg-1.4.2.2.tar.bz2 2c63e827d755527950d9d13fe3d87692 src/gpm-1.20.1.tar.bz2 f1fc1153e1b5593c9805e287d29b92eb src/gradm-2.1.8-200601081938.tar.gz 30ccfe4f0762eacc844f0e12e6bcecf3 src/gradm-distro.diff.bz2 |
|
From: Heiko Z. <smi...@us...> - 2006-03-10 17:23:25
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv13194 Modified Files: Tag: rel-1-2-patches CHANGES md5sum.lst Log Message: updated gnupg to 1.4.2.2 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.205 retrieving revision 1.807.2.206 diff -u -d -r1.807.2.205 -r1.807.2.206 --- CHANGES 10 Mar 2006 01:44:52 -0000 1.807.2.205 +++ CHANGES 10 Mar 2006 17:23:21 -0000 1.807.2.206 @@ -22,6 +22,7 @@ # 1.2.10 +- updated gnupg to 1.4.2.2 - corrected ldirector startup - updated heartbeat init script - added ipvsadm 1.21-11 Index: md5sum.lst =================================================================== RCS file: /cvsroot/devil-linux/build/md5sum.lst,v retrieving revision 1.102.2.131 retrieving revision 1.102.2.132 diff -u -d -r1.102.2.131 -r1.102.2.132 --- md5sum.lst 6 Mar 2006 04:19:05 -0000 1.102.2.131 +++ md5sum.lst 10 Mar 2006 17:23:22 -0000 1.102.2.132 @@ -173,7 +173,7 @@ 60bd8402892f120f77727c0ef8f6ffda src/glibc-patches.tar.bz2 ed39b34dd14014cc504840776af5ba10 src/gmp-4.1.2.tar.bz2 63ecb94c16f34efebd08d16234d8d4a1 src/gnugk-2.2.3-2.tar.gz -2d59ed50d92f69994dbfbe00fe1612e4 src/gnupg-1.4.2.1.tar.bz2 +c34736eb7cb687f9e5b6d4df48aaf7c8 src/gnupg-1.4.2.2.tar.bz2 2c63e827d755527950d9d13fe3d87692 src/gpm-1.20.1.tar.bz2 f1fc1153e1b5593c9805e287d29b92eb src/gradm-2.1.8-200601081938.tar.gz 30ccfe4f0762eacc844f0e12e6bcecf3 src/gradm-distro.diff.bz2 |
|
From: Heiko Z. <smi...@us...> - 2006-03-10 01:50:38
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv12385/scripts Modified Files: heartbeat Log Message: use our init script Index: heartbeat =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/heartbeat,v retrieving revision 1.8 retrieving revision 1.9 diff -u -d -r1.8 -r1.9 --- heartbeat 10 Mar 2006 01:46:03 -0000 1.8 +++ heartbeat 10 Mar 2006 01:50:35 -0000 1.9 @@ -56,6 +56,7 @@ rm -rf $TMPDIR || exit 1 cp -dp $MYDIR/scripts/heartbeat $ETCDIR/etc/init.d/ || exit 1 + cp -dp $MYDIR/scripts/ldirectord $ETCDIR/etc/init.d/ || exit 1 echo "# Start $MYNAME?" >> $CONFIGFILE echo "START_$MYNAME=no" >> $CONFIGFILE |
|
From: Heiko Z. <smi...@us...> - 2006-03-10 01:50:19
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv11886 Modified Files: Tag: rel-1-2-patches heartbeat Log Message: use our init script Index: heartbeat =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/heartbeat,v retrieving revision 1.3.2.5 retrieving revision 1.3.2.6 diff -u -d -r1.3.2.5 -r1.3.2.6 --- heartbeat 10 Mar 2006 01:44:52 -0000 1.3.2.5 +++ heartbeat 10 Mar 2006 01:50:16 -0000 1.3.2.6 @@ -56,6 +56,7 @@ rm -rf $TMPDIR || exit 1 cp -dp $MYDIR/scripts/heartbeat $ETCDIR/etc/init.d/ || exit 1 + cp -dp $MYDIR/scripts/ldirectord $ETCDIR/etc/init.d/ || exit 1 echo "# Start $MYNAME?" >> $CONFIGFILE echo "START_$MYNAME=no" >> $CONFIGFILE |
|
From: Heiko Z. <smi...@us...> - 2006-03-10 01:46:09
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv8629/scripts/scripts Modified Files: heartbeat Added Files: ldirectord Log Message: - corrected ldirector startup - updated heartbeat init script Index: heartbeat =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/heartbeat,v retrieving revision 1.3 retrieving revision 1.4 diff -u -d -r1.3 -r1.4 --- heartbeat 25 Jul 2005 17:16:58 -0000 1.3 +++ heartbeat 10 Mar 2006 01:46:03 -0000 1.4 @@ -5,6 +5,7 @@ # heartbeat Start high-availability services # # Author: Alan Robertson <al...@un...> +# License: GNU General Public License (GPL) # # This script works correctly under SuSE, Debian, # Conectiva, Red Hat and a few others. Please let me know if it @@ -35,15 +36,12 @@ # and monitoring networking availability) # # Short-Description: High-availability services. -# Required-Start: $network $time $syslog $named -# Required-Stop: $network $time $syslog $named +# Required-Start: $network $time $syslog +# Required-Stop: $network $time $syslog # Default-Start: 3 5 # Default-Stop: 0 6 ### END INIT INFO -############################################################################## -### BEGIN added by Holger Mueller - # settings source /etc/sysconfig/config @@ -60,9 +58,6 @@ test $link = $base && START=yes test "$START" = "yes" || exit 0 -### END added by Holger Mueller -############################################################################## - HA_DIR=/etc/ha.d; export HA_DIR CONFIG=$HA_DIR/ha.cf . $HA_DIR/shellfuncs @@ -141,6 +136,51 @@ exit 0 fi +CheckBool() { + case `echo "$1" | tr A-Z a-z` in + y|yes|enable|on|true|1) true;; + *) false;; + esac +} +StartLogd() { + + $HA_BIN/ha_logd -s >/dev/null 2>&1 + + if + [ $? -eq 0 ] + then + Echo "logd is already running" + return 0 + fi + + + $HA_BIN/ha_logd -d >/dev/null 2>&1 + if + [ $? -ne 0 ] + then + Echo "starting logd failed" + fi + +} + +StopLogd() { + $HA_BIN/ha_logd -s >/dev/null 2>&1 + + if + [ $? -ne 0 ] + then + Echo "logd is already stopped" + return 0 + fi + + $HA_BIN/ha_logd -k >/dev/null 2>&1 + if + [ $? -ne 0 ] + then + Echo "stopping logd failed" + fi +} + init_watchdog() { if [ -f /proc/devices -a -x $INSMOD ] @@ -201,7 +241,7 @@ then : softdog already loaded else - $INSMOD softdog >/dev/null 2>&1 + $INSMOD softdog nowayout=0 >/dev/null 2>&1 fi;; esac if @@ -234,7 +274,14 @@ StartHA() { EchoNoNl "Starting High-Availability services: " - $HA_BIN/ResourceManager verifyallidle + + if + CheckBool "`ha_parameter crm`" + then + : OK + else + $HA_BIN/ResourceManager verifyallidle + fi if [ $USE_MODULES = 1 ] then @@ -354,6 +401,7 @@ case "$1" in start) + StartLogd RunStartStop pre-start StartHA RC=$? @@ -386,6 +434,7 @@ rm -f $LOCKDIR/$SUBSYS fi RunStartStop post-stop $RC + StopLogd ;; restart) @@ -413,3 +462,420 @@ esac exit $RC +# +# +# $Log$ +# Revision 1.4 2006/03/10 01:46:03 smiley73 +# - corrected ldirector startup +# - updated heartbeat init script +# +# Revision 1.41 2005/09/10 21:46:23 gshi +# fixed a typo in translating upper case to lower case +# +# Revision 1.40 2005/07/26 09:43:01 panjiam +# Added license, bug #668 +# +# Revision 1.39 2005/07/16 14:57:38 alan +# Bug 613: Disabled checking for running resources when CRM is enabled. +# +# Revision 1.38 2005/05/05 19:49:23 gshi +# don't print log info from logd to stdout when starting heartbeat +# +# Revision 1.37 2005/03/15 21:37:53 gshi +# start logging daemon before starting heartbeat +# stop logging daemon after heartbeat has been stopped +# +# Revision 1.36 2004/05/17 15:12:08 lars +# Reverting over-eager approach to disabling old resource manager code. +# +# Revision 1.35 2004/05/15 09:28:09 andrew +# Disable ALL legacy resource management iff configured with --enable-crm +# Possibly I have been a little over-zealous but likely the feature(s) +# would need to be re-written to use the new design anyway. +# +# Revision 1.34 2004/03/19 16:32:18 alan +# Put in a fix which causes us to always load the watchdog timer module with nowayout=0 +# +# Revision 1.33 2004/02/08 09:32:30 alan +# Fixed the standby option in the init script to handle the switch to +# auto_failback correctly. +# +# Revision 1.32 2004/01/20 15:35:09 alan +# Removed some old SuSE-isms from the init script. +# +# Revision 1.31 2003/08/13 04:36:56 alan +# Put in a minor change from Tuomo Soini. +# +# Revision 1.30 2003/06/16 03:50:48 alan +# Fixed up the default start/stop levels for heartbeat +# +# Revision 1.29 2003/05/08 19:46:32 alan +# Fixed an init script incompatibility with current SuSE releases pointed out by +# Markus Markert <mm...@su...>. +# +# Revision 1.28 2003/04/30 19:24:49 alan +# Fixed a spelling error pointed out by Ozan Eren Bilgen <ma...@gs...> +# +# Revision 1.27 2003/02/21 13:41:01 alan +# Minor comment changes to the heartbeat init script. +# +# Revision 1.26 2003/02/20 01:26:42 horms +# Fixed problem with Description: feild. +# Tuomo Soini reported an undisclosed problem with the current format +# on an undisclosed version of Redhat. The change appears not to +# go against LSB 1.3.0[*] which Alan modified this file to conform with the +# other day. +# +# [*] http://www2.linuxbase.org/spec/refspecs/LSB_1.3.0/gLSB/gLSB/initscrcomconv.html +# +# Revision 1.25 2003/02/19 17:50:20 alan +# Fixed a minor comment bug pointed out by LMB. +# +# Revision 1.24 2003/02/18 04:32:09 alan +# Added some comments to the heartbeat init script necessary for LSB +# compatibility. +# +# Revision 1.23 2002/10/21 10:17:18 horms +# hb api clients may now be built outside of the heartbeat tree +# +# Revision 1.22 2002/10/15 13:41:31 alan +# Switched heartbeat over to use the GSource library functions. +# Added the standby capability to the heartbeat init script +# Changed the proctrack library code to use cl_log() instead of g_log(). +# Removed a few unused header files. +# +# Revision 1.21 2002/10/11 03:13:09 horms +# Minor cleanup of output from a "restart" +# +# Revision 1.20 2002/10/09 18:37:07 msoffen +# Left call directly to startstop script instead of the wrapper function. +# +# Revision 1.19 2002/10/09 18:35:54 msoffen +# Created pre-start, pre-stop, post-stop, and pre-stop constructs in startstop and +# moved startstop to documents (to not override). +# +# Revision 1.18 2002/09/20 02:13:20 horms +# Tidied up the output for the restart and reload targets. +# This follows what is done for start and stop. +# Works fine on RedHat 7.2. Hopefully it won't break anything/much else. +# +# Revision 1.17 2002/09/10 15:54:57 msoffen +# Added call on startup (if startstop scrip exists) to startstop script (not +# resource based - heartbeat startup/shutdown based). +# +# Revision 1.16 2002/08/12 14:37:53 msoffen +# Replaced the last echononl with EchoNoNl. +# +# Revision 1.15 2002/04/03 20:02:21 alan +# Made the init starting and stopping priorities into autoconf variables. +# They default to 75 and 5 respectively. They should probably be overridden for +# SuSE in the ConfigureMe script. +# +# Revision 1.14 2002/04/02 19:40:36 alan +# Failover was completely broken because of a typo in the configure.in file +# Changed the run level priorities so that heartbeat starts after +# drbd by default. +# Changed it so that heartbeat by default runs in init level 5 too... +# +# Fixed a problem which happened when both nodes started about simultaneously. +# The result was that hb_standby wouldn't work afterwards. +# +# Raised the debug level of some reasonably verbose messages so that you can +# turn on debug 1 and not be flooded with log messages. +# +# Changed the code so that in the case of nice_failback there is no waiting for +# the other side to give up resources, because we negotiate this in advance. +# It gets this information through and environment variable. +# +# Revision 1.13 2002/03/21 02:03:00 alan +# Added locking to the assignment of interfaces in IPaddr. +# +# Revision 1.12 2002/03/05 21:13:06 alan +# Put in fix suggested by João Miguel P. Sá <joa...@pt...> +# to use grave accents instead of the silly bash notation. +# +# Revision 1.11 2001/11/26 14:04:41 horms +# Log to stdout that <path>/ha.cf is missing if init script exits for that reason. +# (Horms) +# +# Revision 1.10 2001/10/25 16:12:06 alan +# Put in a portability change on path names... +# +# Revision 1.9 2001/10/25 15:00:27 alan +# Put in naming patch from Matt Soffen for heartbeat.in +# +# Revision 1.8 2001/10/24 20:46:29 alan +# A large number of patches. They are in these categories: +# Fixes from Matt Soffen +# Fixes to test environment things - including changing some ERRORs to +# WARNings and vice versa. +# etc. +# +# Revision 1.7 2001/10/13 09:42:51 alan +# Incorporated a small patch from Matt Soffen +# +# Revision 1.6 2001/10/07 03:58:10 alan +# Fixed up the 'echo' code in rc script so that it's portable. +# The 'shellfuncs' function library now have Echo EchoEsc and EchoNoNl functions +# in it. They are supposed to work on any OS. +# +# Revision 1.5 2001/10/05 22:56:01 alan +# Added another missing portability feature... +# +# Revision 1.4 2001/10/05 22:48:05 alan +# Fixed the spelling of the echoesc and echononl shell functions. +# +# Revision 1.3 2001/10/05 22:38:06 alan +# Put in some code to make us more portable. +# +# Revision 1.2 2001/06/28 20:35:00 alan +# Patch from Juri to install our scripts with paths patched appropriately. +# +# Revision 1.1 2001/06/28 14:21:40 alan +# Added heartbeat.in and removed 2 Makefile.in's as per Juri Haberland +# Ypdated .cvsignore files... +# +# Revision 1.1 2001/05/09 23:21:21 mmoerz +# autoconf & automake & libtool changes +# +# * following directories have been added: +# +# - config will contain autoconf/automake scripts +# - linux-ha contains config.h which is generated by autoconf +# will perhaps some day contain headers which are used throughout +# linux-ha +# - replace contains as the name implies replacement stuff for targets +# where specific sources are missing. +# +# * following directories have been added to make a split up between c-code +# and shell scripts and to easy their installation with automake&autoconf +# +# - heartbeat/init.d containment of init.d script for heartbeat +# - heartbeat/logrotate.d containment of logrotate script for heartbeat +# +# - ldirectord/init.d similar to heartbeat +# - ldirectord/logrotate.d similar to heartbeat +# +# * general changes touching the complete repository: +# +# - all Makefiles have been replaced by Makefile.ams. +# +# - all .cvsingnore files have been enhanced to cope with the dirs/files +# that are added by automake/autoconf +# Perhaps it would be a nice idea to include those files, but the sum +# of their size if beyond 100KB and they are likely to vary from +# automake/autoconf version. +# Let's keep in mind that we will have to include them in distribution +# .tgz anyway. +# +# - in dir replace setenv.c was placed to available on platform where +# putenv() has to be used since setenv is depricated (better rewrite +# code -> to be done later) +# +# * following changes have been made to the files of linux-ha: +# +# - all .cvsignore files have been changed to ignore files generated by +# autoconf/automake and all files produced during the build-process +# +# - heartbeat/heartbeat.c: added #include <config.h> +# +# - heartbeat/config.c: added #include <config.h> +# +# * following files have been added: +# - Makefile.am: see above +# - configure.in: man autoconf/automake file +# - acconfig.h: here are additional defines that are needed for +# linux-ha/config.h +# - bootstrap: the shell script that 'compiles' the autoconf/automake script +# into a useable form +# - config/.cvsignore: no comment +# - doc/Makefile.am: no comment +# - heartbeat/Makefile.am: no comment +# - heartbeat/lib/Makefile.am: no comment +# - heartbeat/init.d/.cvsignore: no comment +# - heartbeat/init.d/heartbeat: copy of hearbeat/hearbeat.sh +# - heartbeat/init.d/Makefile.am: no comment +# - heartbeat/logrotate.d/.cvsignore: no comment +# - heartbeat/logrotate.d/Makefile.am: no comment +# - heartbeat/logrotate.d/heartbeat: copy of hearbeat/heartbeat.logrotate +# - heartbeat/rc.d/Makefile.am: no comment +# - heartbeat/resource.d/Makefile.am: no comment +# - ldirectord/Makefile.am: no comment +# - ldirectord/init.d/Makefile.am: no comment +# - ldirectord/init.d/.cvsignore: no comment +# - ldirectord/init.d/ldiretord: copy of ldirectord/ldirectord.sh +# - ldirectord/logrotate.d/Makefile.am: no comment +# - ldirectord/logrotate.d/.cvsignore: no comment +# - ldirectord//ldiretord: copy of ldirectord/ldirectord.logrotate +# - linux-ha/.cvsignore: no comment +# - replace/.cvsignore: no comment +# - replace/setenv.c: replacement function for targets where setenv is missing +# - replace/Makefile.am: no comment +# - stonith/Makefile.am: no comment +# +# Revision 1.35 2001/02/25 18:45:59 alan +# Changed the watchdog code to use the new ha_parameter function. +# +# Revision 1.34 2001/02/25 18:39:58 alan +# Added code to sleep for "enough" seconds during a restart to ensure that +# takeover happens like it should. +# +# Revision 1.33 2001/02/07 07:10:20 alan +# Added code to verify that all resources are idle when starting heartbeat. +# +# Revision 1.32 2000/12/23 05:08:59 horms +# Cleaned up debian flims +# +# Revision 1.31 2000/12/20 16:54:41 alan +# Changed "restart" in heartbeat to actually do a stop followed by a start. +# Reload still does the no-failover reload operation. +# +# Revision 1.30 2000/11/25 13:07:44 alan +# Fixed a minor bug in the heartbeat startup script for SuSE. +# Replaced the makefile with a correct version after it was slammed with +# a new/old version by someone who is Debianizing it. +# +# Revision 1.29 2000/11/17 13:28:46 alan +# Made the code slightly more SuSE-friendly in its messages. +# Increased the release number :-) +# +# Revision 1.28 2000/08/01 12:25:59 alan +# Yet another few comment changes... +# +# Revision 1.27 2000/08/01 12:25:05 alan +# More political comment changes... +# +# Revision 1.26 2000/08/01 12:21:55 alan +# Some comment changes. +# +# Revision 1.25 2000/06/21 04:34:48 alan +# Changed henge.com => linux-ha.org and al...@he... => al...@su... +# +# Revision 1.24 2000/06/12 22:07:59 alan +# Spelling correction in a comment. +# +# Revision 1.23 2000/06/12 22:06:30 alan +# Finished updating the code for restart. +# +# Revision 1.22 2000/06/12 22:03:11 alan +# Put in a fix to the link status code, to undo something I'd broken, and also to simplify it. +# I changed heartbeat.sh so that it uses the -r flag to restart heartbeat instead +# of stopping and starting it. +# +# Revision 1.21 2000/06/12 06:11:09 alan +# Changed resource takeover order to left-to-right +# Added new version of nice_failback. Hopefully it works wonderfully! +# Regularized some error messages +# Print the version of heartbeat when starting +# Hosts now have three statuses {down, up, active} +# SuSE compatability due to Friedrich Lobenstock and alanr +# Other minor tweaks, too numerous to mention. +# +# Revision 1.20 2000/04/27 12:50:20 alan +# Changed the port number to 694. Added the pristene target to the ldirectord +# Makefile. Minor tweaks to heartbeat.sh, so that it gives some kind of +# message if there is no configuration file yet. +# +# Revision 1.19 2000/04/24 07:08:13 horms +# Added init script to ldirectord, fixed hearbeat.sh to work with RH6.2 again, heartbeat.sh now aborts if /etc/ha.d/ha.cf is not present. Added sample ldirectord.cf. Moved logging directives to the top of the sample ha.cf. Incremented version in master Makefile to 0.4.7apre2. KERNELDIRS now don't get any treatment in the master makefile, this is to fix a bug (introduced by me) with using an emty in a for i in under some shells +# +# Revision 1.18 2000/04/24 06:34:45 horms +# Made init work cleanly with RH 6.2 again +# +# Revision 1.17 2000/04/23 13:16:17 alan +# Changed the code in heartbeat.sh to no longer user RH's daemon or +# killproc functions. +# +# Revision 1.16 2000/04/03 08:26:29 horms +# +# +# Tidied up the output from heartbeat.sh (/etc/rc.d/init.d/heartbeat) +# on Redhat 6.2 +# +# Loging to syslog if a facility is specified in ha.cf is instead of +# rather than as well as file logging as per instructions in ha.cf +# +# Fixed a small bug in shellfunctions that caused logs to syslog +# to be garbled. +# +# Revision 1.15 1999/11/11 06:02:43 alan +# Minor change to make heartbeat default enabled on startup. +# +# Revision 1.14 1999/11/11 05:48:52 alan +# Added code to start up heartbeat automatically. +# +# Revision 1.13 1999/10/19 13:55:36 alan +# Changed comments about being red hat compatible +# Also, changed heartbeat.c to be both SuSE and Red Hat compatible in it's -s +# output +# +# Revision 1.12 1999/10/19 01:56:51 alan +# Removed the sleep between shutdown and startup, since that's now in +# heartbeat itself. +# +# Revision 1.11 1999/10/19 01:49:10 alan +# Put in a sleep between stop and start in restart to make it more reliable. +# +# Revision 1.10 1999/10/10 19:45:21 alanr +# Changed comment +# +# Revision 1.9 1999/10/05 05:17:49 alanr +# Added -s (status) option to heartbeat, and used it in heartbeat.sh... +# +# Revision 1.8 1999/10/05 04:35:26 alanr +# Changed it to use the new heartbeat -k option to shut donw heartbeat. +# +# Revision 1.7 1999/10/04 03:12:39 alanr +# Shutdown code now runs from heartbeat. +# Logging should be in pretty good shape now, too. +# +# Revision 1.6 1999/10/04 01:47:22 alanr +# Fix the problem reported by Thomas Hepper with the code for loading the watchdog +# device correctly. +# +# Revision 1.5 1999/10/03 03:14:04 alanr +# Moved resource acquisition to 'heartbeat', also no longer attempt to make the FIFO, it's now done in heartbeat. It should now be possible to start it up more readily... +# +# Revision 1.4 1999/10/02 17:48:08 alanr +# Put back call to init_fifo. Thanks to Thomas Hepper +# +# Revision 1.3 1999/10/02 04:59:22 alanr +# FreeBSD mkfifo cleanup +# +# Revision 1.2 1999/09/23 15:53:13 alanr +# +# First version to work :-) +# Got this first version to work... +# +# Revision 1.1.1.1 1999/09/23 15:31:24 alanr +# High-Availability Linux +# +# Revision 1.12 1999/09/14 23:07:09 alanr +# another comment change... +# +# Revision 1.11 1999/09/14 23:05:13 alanr +# comment change... +# +# Revision 1.10 1999/09/14 22:32:50 alanr +# Put in Thomas Hepper's fix for killproc. +# Lots of other changes I think... +# +# Revision 1.9 1999/09/07 04:46:34 alanr +# made it exit with proper return codes. +# Also, moved things around according to the FHS... +# +# Revision 1.8 1999/08/22 04:10:37 alanr +# changed the name of this file to heartbeat.sh. +# Also moved the change log to the end of the file... +# +# Revision 1.7 1999/08/22 04:03:13 alanr +# Merged this file with the heartbeat script as suggested by Guenther Thomsen +# +# Revision 1.6 1999/08/21 21:54:12 alanr +# Restructured the code in preparation for combining this script with the +# init script under /etc/rc.d/init.d. +# +# Revision 1.5 1999/08/17 04:34:53 alanr +# added code to create /dev/watchdog and load softdog if necessary... +# +# --- NEW FILE: ldirectord --- #!/bin/sh # # ldirectord Linux Director Daemon # # chkconfig: 2345 92 40 # description: Start and stop ldirectord on non-heartbeat systems # Using the config file /etc/ha.d/ldirectord.cf # # processname: ldirectord # config: /etc/ha.d/ldirectord.cf # # Author: Horms <ho...@ve...> # Released: April 2000 # Licence: GNU General Public Licence # ### BEGIN INIT INFO # Provides: ldirectord # Required-Start: $syslog $network # Should-Start: $time sshd # Default-Start: 3 5 # Default-Stop: 0 1 2 6 # Short-Description: Control Linux Virtual Server via ldirectord on non-heartbeat systems # Description: Starts (and stops) the ldirectord service if # running outside a heartbeat managed environment. # ldirectord manages the Linux Virtual Server component for # TCP/UDP load-balancing. # It uses the config file /etc/ha.d/ldirectord.cf. ### END INIT INFO # settings source /etc/sysconfig/config # parameters CONFIGNAME=LDIRECTORD eval START=\$START_$CONFIGNAME # Determine the base and follow a runlevel link name. base=${0##*/} link=${base#*[SK][0-9][0-9]} # Force execution if not called by a runlevel directory. test $link = $base && START=yes test "$START" = "yes" || exit 0 DAEMON=/usr/sbin/ldirectord # Source function library. if [ -f /etc/rc.d/init.d/functions ] then . /etc/rc.d/init.d/functions else function action { echo -n "$1... " shift $@ stat=$? if [ $stat = 0 ]; then echo success else echo failure fi return $stat } fi [ -x $DAEMON ] || exit 0 ###################################################################### # Read arument and take action as appropriate ###################################################################### case "$1" in start) action "Starting ldirectord" $DAEMON start ;; stop) action "Stopping ldirectord" $DAEMON stop ;; restart) action "Restarting ldirectord" $DAEMON restart ;; try-restart) action "Try-Restarting ldirectord" $DAEMON try-restart ;; status) $DAEMON status ;; reload) action "Reloading ldirectord" $DAEMON reload ;; force-reload) action "Force-Reloading ldirectord" $DAEMON force-reload ;; *) echo "Usage: ldirectord {start|stop|restart|try-restart|status|reload|force-reload}" exit 1 esac exit $? |
|
From: Heiko Z. <smi...@us...> - 2006-03-10 01:46:09
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv8629 Modified Files: CHANGES Log Message: - corrected ldirector startup - updated heartbeat init script Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1016 retrieving revision 1.1017 diff -u -d -r1.1016 -r1.1017 --- CHANGES 6 Mar 2006 04:19:58 -0000 1.1016 +++ CHANGES 10 Mar 2006 01:46:03 -0000 1.1017 @@ -22,7 +22,9 @@ # 1.3.2 -- aaded ipvsadm 1.24 +- corrected ldirector startup +- updated heartbeat init script +- added ipvsadm 1.24 - added Mail::RFC822-Address 0.3 - added Test::Simple 0.62 - added Crypt::OpenSSL-RSA |
|
From: Heiko Z. <smi...@us...> - 2006-03-10 01:46:08
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv8629/scripts Modified Files: heartbeat Log Message: - corrected ldirector startup - updated heartbeat init script Index: heartbeat =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/heartbeat,v retrieving revision 1.7 retrieving revision 1.8 diff -u -d -r1.7 -r1.8 --- heartbeat 15 Jan 2006 02:08:51 -0000 1.7 +++ heartbeat 10 Mar 2006 01:46:03 -0000 1.8 @@ -48,6 +48,7 @@ copy_files $TMPDIR/usr $CDDIR/ || exit 1 copy_files $TMPDIR/var $CDDIR/ || exit 1 copy_files $TMPDIR/etc $ETCDIR/ || exit 1 + cp -dpv ldirectord/ldirectord.cf $ETCDIR/etc/ha.d/ || exit 1 useradd -s /bin/false -u 50 hacluster groupadd -f -g 50 haclient @@ -60,6 +61,12 @@ echo "START_$MYNAME=no" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_$MYNAME=\"$MYNAME is to control failover servers\"" >> $SOFTWAREHELP + + MYNAME=LDIRECTORD + echo "# Start $MYNAME?" >> $CONFIGFILE + echo "START_$MYNAME=no" >> $CONFIGFILE + echo >> $CONFIGFILE + echo "HELP_$MYNAME=\"$MYNAME is to monitor remote servers (works with heartbeat)\"" >> $SOFTWAREHELP fi ;; |
|
From: Heiko Z. <smi...@us...> - 2006-03-10 01:44:59
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv7826/scripts/scripts Modified Files: Tag: rel-1-2-patches heartbeat Added Files: Tag: rel-1-2-patches ldirectord Log Message: - corrected ldirector startup - updated heartbeat init script Index: heartbeat =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/heartbeat,v retrieving revision 1.1.2.3 retrieving revision 1.1.2.4 diff -u -d -r1.1.2.3 -r1.1.2.4 --- heartbeat 25 Jul 2005 17:15:43 -0000 1.1.2.3 +++ heartbeat 10 Mar 2006 01:44:52 -0000 1.1.2.4 @@ -5,6 +5,7 @@ # heartbeat Start high-availability services # # Author: Alan Robertson <al...@un...> +# License: GNU General Public License (GPL) # # This script works correctly under SuSE, Debian, # Conectiva, Red Hat and a few others. Please let me know if it @@ -35,15 +36,12 @@ # and monitoring networking availability) # # Short-Description: High-availability services. -# Required-Start: $network $time $syslog $named -# Required-Stop: $network $time $syslog $named +# Required-Start: $network $time $syslog +# Required-Stop: $network $time $syslog # Default-Start: 3 5 # Default-Stop: 0 6 ### END INIT INFO -############################################################################## -### BEGIN added by Holger Mueller - # settings source /etc/sysconfig/config @@ -60,9 +58,6 @@ test $link = $base && START=yes test "$START" = "yes" || exit 0 -### END added by Holger Mueller -############################################################################## - HA_DIR=/etc/ha.d; export HA_DIR CONFIG=$HA_DIR/ha.cf . $HA_DIR/shellfuncs @@ -141,6 +136,51 @@ exit 0 fi +CheckBool() { + case `echo "$1" | tr A-Z a-z` in + y|yes|enable|on|true|1) true;; + *) false;; + esac +} +StartLogd() { + + $HA_BIN/ha_logd -s >/dev/null 2>&1 + + if + [ $? -eq 0 ] + then + Echo "logd is already running" + return 0 + fi + + + $HA_BIN/ha_logd -d >/dev/null 2>&1 + if + [ $? -ne 0 ] + then + Echo "starting logd failed" + fi + +} + +StopLogd() { + $HA_BIN/ha_logd -s >/dev/null 2>&1 + + if + [ $? -ne 0 ] + then + Echo "logd is already stopped" + return 0 + fi + + $HA_BIN/ha_logd -k >/dev/null 2>&1 + if + [ $? -ne 0 ] + then + Echo "stopping logd failed" + fi +} + init_watchdog() { if [ -f /proc/devices -a -x $INSMOD ] @@ -201,7 +241,7 @@ then : softdog already loaded else - $INSMOD softdog >/dev/null 2>&1 + $INSMOD softdog nowayout=0 >/dev/null 2>&1 fi;; esac if @@ -234,7 +274,14 @@ StartHA() { EchoNoNl "Starting High-Availability services: " - $HA_BIN/ResourceManager verifyallidle + + if + CheckBool "`ha_parameter crm`" + then + : OK + else + $HA_BIN/ResourceManager verifyallidle + fi if [ $USE_MODULES = 1 ] then @@ -354,6 +401,7 @@ case "$1" in start) + StartLogd RunStartStop pre-start StartHA RC=$? @@ -386,6 +434,7 @@ rm -f $LOCKDIR/$SUBSYS fi RunStartStop post-stop $RC + StopLogd ;; restart) @@ -413,3 +462,420 @@ esac exit $RC +# +# +# $Log$ +# Revision 1.1.2.4 2006/03/10 01:44:52 smiley73 +# - corrected ldirector startup +# - updated heartbeat init script +# +# Revision 1.41 2005/09/10 21:46:23 gshi +# fixed a typo in translating upper case to lower case +# +# Revision 1.40 2005/07/26 09:43:01 panjiam +# Added license, bug #668 +# +# Revision 1.39 2005/07/16 14:57:38 alan +# Bug 613: Disabled checking for running resources when CRM is enabled. +# +# Revision 1.38 2005/05/05 19:49:23 gshi +# don't print log info from logd to stdout when starting heartbeat +# +# Revision 1.37 2005/03/15 21:37:53 gshi +# start logging daemon before starting heartbeat +# stop logging daemon after heartbeat has been stopped +# +# Revision 1.36 2004/05/17 15:12:08 lars +# Reverting over-eager approach to disabling old resource manager code. +# +# Revision 1.35 2004/05/15 09:28:09 andrew +# Disable ALL legacy resource management iff configured with --enable-crm +# Possibly I have been a little over-zealous but likely the feature(s) +# would need to be re-written to use the new design anyway. +# +# Revision 1.34 2004/03/19 16:32:18 alan +# Put in a fix which causes us to always load the watchdog timer module with nowayout=0 +# +# Revision 1.33 2004/02/08 09:32:30 alan +# Fixed the standby option in the init script to handle the switch to +# auto_failback correctly. +# +# Revision 1.32 2004/01/20 15:35:09 alan +# Removed some old SuSE-isms from the init script. +# +# Revision 1.31 2003/08/13 04:36:56 alan +# Put in a minor change from Tuomo Soini. +# +# Revision 1.30 2003/06/16 03:50:48 alan +# Fixed up the default start/stop levels for heartbeat +# +# Revision 1.29 2003/05/08 19:46:32 alan +# Fixed an init script incompatibility with current SuSE releases pointed out by +# Markus Markert <mm...@su...>. +# +# Revision 1.28 2003/04/30 19:24:49 alan +# Fixed a spelling error pointed out by Ozan Eren Bilgen <ma...@gs...> +# +# Revision 1.27 2003/02/21 13:41:01 alan +# Minor comment changes to the heartbeat init script. +# +# Revision 1.26 2003/02/20 01:26:42 horms +# Fixed problem with Description: feild. +# Tuomo Soini reported an undisclosed problem with the current format +# on an undisclosed version of Redhat. The change appears not to +# go against LSB 1.3.0[*] which Alan modified this file to conform with the +# other day. +# +# [*] http://www2.linuxbase.org/spec/refspecs/LSB_1.3.0/gLSB/gLSB/initscrcomconv.html +# +# Revision 1.25 2003/02/19 17:50:20 alan +# Fixed a minor comment bug pointed out by LMB. +# +# Revision 1.24 2003/02/18 04:32:09 alan +# Added some comments to the heartbeat init script necessary for LSB +# compatibility. +# +# Revision 1.23 2002/10/21 10:17:18 horms +# hb api clients may now be built outside of the heartbeat tree +# +# Revision 1.22 2002/10/15 13:41:31 alan +# Switched heartbeat over to use the GSource library functions. +# Added the standby capability to the heartbeat init script +# Changed the proctrack library code to use cl_log() instead of g_log(). +# Removed a few unused header files. +# +# Revision 1.21 2002/10/11 03:13:09 horms +# Minor cleanup of output from a "restart" +# +# Revision 1.20 2002/10/09 18:37:07 msoffen +# Left call directly to startstop script instead of the wrapper function. +# +# Revision 1.19 2002/10/09 18:35:54 msoffen +# Created pre-start, pre-stop, post-stop, and pre-stop constructs in startstop and +# moved startstop to documents (to not override). +# +# Revision 1.18 2002/09/20 02:13:20 horms +# Tidied up the output for the restart and reload targets. +# This follows what is done for start and stop. +# Works fine on RedHat 7.2. Hopefully it won't break anything/much else. +# +# Revision 1.17 2002/09/10 15:54:57 msoffen +# Added call on startup (if startstop scrip exists) to startstop script (not +# resource based - heartbeat startup/shutdown based). +# +# Revision 1.16 2002/08/12 14:37:53 msoffen +# Replaced the last echononl with EchoNoNl. +# +# Revision 1.15 2002/04/03 20:02:21 alan +# Made the init starting and stopping priorities into autoconf variables. +# They default to 75 and 5 respectively. They should probably be overridden for +# SuSE in the ConfigureMe script. +# +# Revision 1.14 2002/04/02 19:40:36 alan +# Failover was completely broken because of a typo in the configure.in file +# Changed the run level priorities so that heartbeat starts after +# drbd by default. +# Changed it so that heartbeat by default runs in init level 5 too... +# +# Fixed a problem which happened when both nodes started about simultaneously. +# The result was that hb_standby wouldn't work afterwards. +# +# Raised the debug level of some reasonably verbose messages so that you can +# turn on debug 1 and not be flooded with log messages. +# +# Changed the code so that in the case of nice_failback there is no waiting for +# the other side to give up resources, because we negotiate this in advance. +# It gets this information through and environment variable. +# +# Revision 1.13 2002/03/21 02:03:00 alan +# Added locking to the assignment of interfaces in IPaddr. +# +# Revision 1.12 2002/03/05 21:13:06 alan +# Put in fix suggested by João Miguel P. Sá <joa...@pt...> +# to use grave accents instead of the silly bash notation. +# +# Revision 1.11 2001/11/26 14:04:41 horms +# Log to stdout that <path>/ha.cf is missing if init script exits for that reason. +# (Horms) +# +# Revision 1.10 2001/10/25 16:12:06 alan +# Put in a portability change on path names... +# +# Revision 1.9 2001/10/25 15:00:27 alan +# Put in naming patch from Matt Soffen for heartbeat.in +# +# Revision 1.8 2001/10/24 20:46:29 alan +# A large number of patches. They are in these categories: +# Fixes from Matt Soffen +# Fixes to test environment things - including changing some ERRORs to +# WARNings and vice versa. +# etc. +# +# Revision 1.7 2001/10/13 09:42:51 alan +# Incorporated a small patch from Matt Soffen +# +# Revision 1.6 2001/10/07 03:58:10 alan +# Fixed up the 'echo' code in rc script so that it's portable. +# The 'shellfuncs' function library now have Echo EchoEsc and EchoNoNl functions +# in it. They are supposed to work on any OS. +# +# Revision 1.5 2001/10/05 22:56:01 alan +# Added another missing portability feature... +# +# Revision 1.4 2001/10/05 22:48:05 alan +# Fixed the spelling of the echoesc and echononl shell functions. +# +# Revision 1.3 2001/10/05 22:38:06 alan +# Put in some code to make us more portable. +# +# Revision 1.2 2001/06/28 20:35:00 alan +# Patch from Juri to install our scripts with paths patched appropriately. +# +# Revision 1.1 2001/06/28 14:21:40 alan +# Added heartbeat.in and removed 2 Makefile.in's as per Juri Haberland +# Ypdated .cvsignore files... +# +# Revision 1.1 2001/05/09 23:21:21 mmoerz +# autoconf & automake & libtool changes +# +# * following directories have been added: +# +# - config will contain autoconf/automake scripts +# - linux-ha contains config.h which is generated by autoconf +# will perhaps some day contain headers which are used throughout +# linux-ha +# - replace contains as the name implies replacement stuff for targets +# where specific sources are missing. +# +# * following directories have been added to make a split up between c-code +# and shell scripts and to easy their installation with automake&autoconf +# +# - heartbeat/init.d containment of init.d script for heartbeat +# - heartbeat/logrotate.d containment of logrotate script for heartbeat +# +# - ldirectord/init.d similar to heartbeat +# - ldirectord/logrotate.d similar to heartbeat +# +# * general changes touching the complete repository: +# +# - all Makefiles have been replaced by Makefile.ams. +# +# - all .cvsingnore files have been enhanced to cope with the dirs/files +# that are added by automake/autoconf +# Perhaps it would be a nice idea to include those files, but the sum +# of their size if beyond 100KB and they are likely to vary from +# automake/autoconf version. +# Let's keep in mind that we will have to include them in distribution +# .tgz anyway. +# +# - in dir replace setenv.c was placed to available on platform where +# putenv() has to be used since setenv is depricated (better rewrite +# code -> to be done later) +# +# * following changes have been made to the files of linux-ha: +# +# - all .cvsignore files have been changed to ignore files generated by +# autoconf/automake and all files produced during the build-process +# +# - heartbeat/heartbeat.c: added #include <config.h> +# +# - heartbeat/config.c: added #include <config.h> +# +# * following files have been added: +# - Makefile.am: see above +# - configure.in: man autoconf/automake file +# - acconfig.h: here are additional defines that are needed for +# linux-ha/config.h +# - bootstrap: the shell script that 'compiles' the autoconf/automake script +# into a useable form +# - config/.cvsignore: no comment +# - doc/Makefile.am: no comment +# - heartbeat/Makefile.am: no comment +# - heartbeat/lib/Makefile.am: no comment +# - heartbeat/init.d/.cvsignore: no comment +# - heartbeat/init.d/heartbeat: copy of hearbeat/hearbeat.sh +# - heartbeat/init.d/Makefile.am: no comment +# - heartbeat/logrotate.d/.cvsignore: no comment +# - heartbeat/logrotate.d/Makefile.am: no comment +# - heartbeat/logrotate.d/heartbeat: copy of hearbeat/heartbeat.logrotate +# - heartbeat/rc.d/Makefile.am: no comment +# - heartbeat/resource.d/Makefile.am: no comment +# - ldirectord/Makefile.am: no comment +# - ldirectord/init.d/Makefile.am: no comment +# - ldirectord/init.d/.cvsignore: no comment +# - ldirectord/init.d/ldiretord: copy of ldirectord/ldirectord.sh +# - ldirectord/logrotate.d/Makefile.am: no comment +# - ldirectord/logrotate.d/.cvsignore: no comment +# - ldirectord//ldiretord: copy of ldirectord/ldirectord.logrotate +# - linux-ha/.cvsignore: no comment +# - replace/.cvsignore: no comment +# - replace/setenv.c: replacement function for targets where setenv is missing +# - replace/Makefile.am: no comment +# - stonith/Makefile.am: no comment +# +# Revision 1.35 2001/02/25 18:45:59 alan +# Changed the watchdog code to use the new ha_parameter function. +# +# Revision 1.34 2001/02/25 18:39:58 alan +# Added code to sleep for "enough" seconds during a restart to ensure that +# takeover happens like it should. +# +# Revision 1.33 2001/02/07 07:10:20 alan +# Added code to verify that all resources are idle when starting heartbeat. +# +# Revision 1.32 2000/12/23 05:08:59 horms +# Cleaned up debian flims +# +# Revision 1.31 2000/12/20 16:54:41 alan +# Changed "restart" in heartbeat to actually do a stop followed by a start. +# Reload still does the no-failover reload operation. +# +# Revision 1.30 2000/11/25 13:07:44 alan +# Fixed a minor bug in the heartbeat startup script for SuSE. +# Replaced the makefile with a correct version after it was slammed with +# a new/old version by someone who is Debianizing it. +# +# Revision 1.29 2000/11/17 13:28:46 alan +# Made the code slightly more SuSE-friendly in its messages. +# Increased the release number :-) +# +# Revision 1.28 2000/08/01 12:25:59 alan +# Yet another few comment changes... +# +# Revision 1.27 2000/08/01 12:25:05 alan +# More political comment changes... +# +# Revision 1.26 2000/08/01 12:21:55 alan +# Some comment changes. +# +# Revision 1.25 2000/06/21 04:34:48 alan +# Changed henge.com => linux-ha.org and al...@he... => al...@su... +# +# Revision 1.24 2000/06/12 22:07:59 alan +# Spelling correction in a comment. +# +# Revision 1.23 2000/06/12 22:06:30 alan +# Finished updating the code for restart. +# +# Revision 1.22 2000/06/12 22:03:11 alan +# Put in a fix to the link status code, to undo something I'd broken, and also to simplify it. +# I changed heartbeat.sh so that it uses the -r flag to restart heartbeat instead +# of stopping and starting it. +# +# Revision 1.21 2000/06/12 06:11:09 alan +# Changed resource takeover order to left-to-right +# Added new version of nice_failback. Hopefully it works wonderfully! +# Regularized some error messages +# Print the version of heartbeat when starting +# Hosts now have three statuses {down, up, active} +# SuSE compatability due to Friedrich Lobenstock and alanr +# Other minor tweaks, too numerous to mention. +# +# Revision 1.20 2000/04/27 12:50:20 alan +# Changed the port number to 694. Added the pristene target to the ldirectord +# Makefile. Minor tweaks to heartbeat.sh, so that it gives some kind of +# message if there is no configuration file yet. +# +# Revision 1.19 2000/04/24 07:08:13 horms +# Added init script to ldirectord, fixed hearbeat.sh to work with RH6.2 again, heartbeat.sh now aborts if /etc/ha.d/ha.cf is not present. Added sample ldirectord.cf. Moved logging directives to the top of the sample ha.cf. Incremented version in master Makefile to 0.4.7apre2. KERNELDIRS now don't get any treatment in the master makefile, this is to fix a bug (introduced by me) with using an emty in a for i in under some shells +# +# Revision 1.18 2000/04/24 06:34:45 horms +# Made init work cleanly with RH 6.2 again +# +# Revision 1.17 2000/04/23 13:16:17 alan +# Changed the code in heartbeat.sh to no longer user RH's daemon or +# killproc functions. +# +# Revision 1.16 2000/04/03 08:26:29 horms +# +# +# Tidied up the output from heartbeat.sh (/etc/rc.d/init.d/heartbeat) +# on Redhat 6.2 +# +# Loging to syslog if a facility is specified in ha.cf is instead of +# rather than as well as file logging as per instructions in ha.cf +# +# Fixed a small bug in shellfunctions that caused logs to syslog +# to be garbled. +# +# Revision 1.15 1999/11/11 06:02:43 alan +# Minor change to make heartbeat default enabled on startup. +# +# Revision 1.14 1999/11/11 05:48:52 alan +# Added code to start up heartbeat automatically. +# +# Revision 1.13 1999/10/19 13:55:36 alan +# Changed comments about being red hat compatible +# Also, changed heartbeat.c to be both SuSE and Red Hat compatible in it's -s +# output +# +# Revision 1.12 1999/10/19 01:56:51 alan +# Removed the sleep between shutdown and startup, since that's now in +# heartbeat itself. +# +# Revision 1.11 1999/10/19 01:49:10 alan +# Put in a sleep between stop and start in restart to make it more reliable. +# +# Revision 1.10 1999/10/10 19:45:21 alanr +# Changed comment +# +# Revision 1.9 1999/10/05 05:17:49 alanr +# Added -s (status) option to heartbeat, and used it in heartbeat.sh... +# +# Revision 1.8 1999/10/05 04:35:26 alanr +# Changed it to use the new heartbeat -k option to shut donw heartbeat. +# +# Revision 1.7 1999/10/04 03:12:39 alanr +# Shutdown code now runs from heartbeat. +# Logging should be in pretty good shape now, too. +# +# Revision 1.6 1999/10/04 01:47:22 alanr +# Fix the problem reported by Thomas Hepper with the code for loading the watchdog +# device correctly. +# +# Revision 1.5 1999/10/03 03:14:04 alanr +# Moved resource acquisition to 'heartbeat', also no longer attempt to make the FIFO, it's now done in heartbeat. It should now be possible to start it up more readily... +# +# Revision 1.4 1999/10/02 17:48:08 alanr +# Put back call to init_fifo. Thanks to Thomas Hepper +# +# Revision 1.3 1999/10/02 04:59:22 alanr +# FreeBSD mkfifo cleanup +# +# Revision 1.2 1999/09/23 15:53:13 alanr +# +# First version to work :-) +# Got this first version to work... +# +# Revision 1.1.1.1 1999/09/23 15:31:24 alanr +# High-Availability Linux +# +# Revision 1.12 1999/09/14 23:07:09 alanr +# another comment change... +# +# Revision 1.11 1999/09/14 23:05:13 alanr +# comment change... +# +# Revision 1.10 1999/09/14 22:32:50 alanr +# Put in Thomas Hepper's fix for killproc. +# Lots of other changes I think... +# +# Revision 1.9 1999/09/07 04:46:34 alanr +# made it exit with proper return codes. +# Also, moved things around according to the FHS... +# +# Revision 1.8 1999/08/22 04:10:37 alanr +# changed the name of this file to heartbeat.sh. +# Also moved the change log to the end of the file... +# +# Revision 1.7 1999/08/22 04:03:13 alanr +# Merged this file with the heartbeat script as suggested by Guenther Thomsen +# +# Revision 1.6 1999/08/21 21:54:12 alanr +# Restructured the code in preparation for combining this script with the +# init script under /etc/rc.d/init.d. +# +# Revision 1.5 1999/08/17 04:34:53 alanr +# added code to create /dev/watchdog and load softdog if necessary... +# +# --- NEW FILE: ldirectord --- #!/bin/sh # # ldirectord Linux Director Daemon # # chkconfig: 2345 92 40 # description: Start and stop ldirectord on non-heartbeat systems # Using the config file /etc/ha.d/ldirectord.cf # # processname: ldirectord # config: /etc/ha.d/ldirectord.cf # # Author: Horms <ho...@ve...> # Released: April 2000 # Licence: GNU General Public Licence # ### BEGIN INIT INFO # Provides: ldirectord # Required-Start: $syslog $network # Should-Start: $time sshd # Default-Start: 3 5 # Default-Stop: 0 1 2 6 # Short-Description: Control Linux Virtual Server via ldirectord on non-heartbeat systems # Description: Starts (and stops) the ldirectord service if # running outside a heartbeat managed environment. # ldirectord manages the Linux Virtual Server component for # TCP/UDP load-balancing. # It uses the config file /etc/ha.d/ldirectord.cf. ### END INIT INFO # settings source /etc/sysconfig/config # parameters CONFIGNAME=LDIRECTORD eval START=\$START_$CONFIGNAME # Determine the base and follow a runlevel link name. base=${0##*/} link=${base#*[SK][0-9][0-9]} # Force execution if not called by a runlevel directory. test $link = $base && START=yes test "$START" = "yes" || exit 0 DAEMON=/usr/sbin/ldirectord # Source function library. if [ -f /etc/rc.d/init.d/functions ] then . /etc/rc.d/init.d/functions else function action { echo -n "$1... " shift $@ stat=$? if [ $stat = 0 ]; then echo success else echo failure fi return $stat } fi [ -x $DAEMON ] || exit 0 ###################################################################### # Read arument and take action as appropriate ###################################################################### case "$1" in start) action "Starting ldirectord" $DAEMON start ;; stop) action "Stopping ldirectord" $DAEMON stop ;; restart) action "Restarting ldirectord" $DAEMON restart ;; try-restart) action "Try-Restarting ldirectord" $DAEMON try-restart ;; status) $DAEMON status ;; reload) action "Reloading ldirectord" $DAEMON reload ;; force-reload) action "Force-Reloading ldirectord" $DAEMON force-reload ;; *) echo "Usage: ldirectord {start|stop|restart|try-restart|status|reload|force-reload}" exit 1 esac exit $? |
|
From: Heiko Z. <smi...@us...> - 2006-03-10 01:44:57
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv7826/scripts Modified Files: Tag: rel-1-2-patches heartbeat Log Message: - corrected ldirector startup - updated heartbeat init script Index: heartbeat =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/heartbeat,v retrieving revision 1.3.2.4 retrieving revision 1.3.2.5 diff -u -d -r1.3.2.4 -r1.3.2.5 --- heartbeat 15 Jan 2006 02:06:56 -0000 1.3.2.4 +++ heartbeat 10 Mar 2006 01:44:52 -0000 1.3.2.5 @@ -48,6 +48,7 @@ copy_files $TMPDIR/usr $CDDIR/ || exit 1 copy_files $TMPDIR/var $CDDIR/ || exit 1 copy_files $TMPDIR/etc $ETCDIR/ || exit 1 + cp -dpv ldirectord/ldirectord.cf $ETCDIR/etc/ha.d/ || exit 1 useradd -s /bin/false -u 50 hacluster groupadd -f -g 50 haclient @@ -60,6 +61,12 @@ echo "START_$MYNAME=no" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_$MYNAME=\"$MYNAME is to control failover servers\"" >> $SOFTWAREHELP + + MYNAME=LDIRECTORD + echo "# Start $MYNAME?" >> $CONFIGFILE + echo "START_$MYNAME=no" >> $CONFIGFILE + echo >> $CONFIGFILE + echo "HELP_$MYNAME=\"$MYNAME is to monitor remote servers (works with heartbeat)\"" >> $SOFTWAREHELP fi ;; |
|
From: Heiko Z. <smi...@us...> - 2006-03-10 01:44:57
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv7826 Modified Files: Tag: rel-1-2-patches CHANGES Log Message: - corrected ldirector startup - updated heartbeat init script Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.807.2.204 retrieving revision 1.807.2.205 diff -u -d -r1.807.2.204 -r1.807.2.205 --- CHANGES 6 Mar 2006 04:19:05 -0000 1.807.2.204 +++ CHANGES 10 Mar 2006 01:44:52 -0000 1.807.2.205 @@ -22,6 +22,8 @@ # 1.2.10 +- corrected ldirector startup +- updated heartbeat init script - added ipvsadm 1.21-11 1.2.9 |
|
From: Heiko Z. <smi...@us...> - 2006-03-06 04:20:04
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv23647/scripts Added Files: ipvsadm Log Message: added ipvsadm --- NEW FILE: ipvsadm --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/ipvsadm,v $ # $Revision: 1.2 $ # $Date: 2006/03/06 04:19:58 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: ipvsadm # Required-Start: $basebuildtools $libs # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: description ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings case $1 in build ) make all || exit 1 strip_debug ;; install ) rm -rf $TMPDIR mkdir -p $TMPDIR || exit 1 make install BUILD_ROOT=$TMPDIR copy_docs $TMPDIR cp -dpR $TMPDIR/* $CDDIR || exit 1 rm -rf $TMPDIR || exit 1 ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac |